{
  am_pm_abbreviated => [
    "\N{U+0f66}\N{U+0f94}\N{U+0f0b}\N{U+0f51}\N{U+0fb2}\N{U+0f7c}\N{U+0f0b}",
    "\N{U+0f55}\N{U+0fb1}\N{U+0f72}\N{U+0f0b}\N{U+0f51}\N{U+0fb2}\N{U+0f7c}\N{U+0f0b}",
  ],
  available_formats => {
    Bh => "h B",
    Bhm => "h:mm B",
    Bhms => "h:mm:ss B",
    E => "ccc",
    EBhm => "E h:mm B",
    EBhms => "E h:mm:ss B",
    EHm => "E HH:mm",
    EHms => "E HH:mm:ss",
    Ed => "d, E",
    Ehm => "E h:mm a",
    Ehms => "E h:mm:ss a",
    Gy => "G y",
    GyMMM => "G y LLLL",
    GyMMMEd => "G y MMM d, E",
    GyMMMd => "G y MMM d",
    GyMd => "GGGGG y-MM-dd",
    H => "HH",
    Hm => "HH:mm",
    Hms => "HH:mm:ss",
    Hmsv => "HH:mm:ss v",
    Hmv => "HH:mm v",
    M => "L",
    MEd => "MM-dd, E",
    MMM => "LLL",
    MMMEd => "MMM\N{U+0f5a}\N{U+0f7a}\N{U+0f66}\N{U+0f0b}d, E",
    "MMMMW-count-other" => "'week' W 'of' MMMM",
    MMMMd => "MMMM\N{U+0f60}\N{U+0f72}\N{U+0f0b}\N{U+0f5a}\N{U+0f7a}\N{U+0f66}\N{U+0f0b}d",
    MMMd => "MMM\N{U+0f5a}\N{U+0f7a}\N{U+0f66}\N{U+0f0b}d",
    Md => "MM-dd",
    d => "d",
    h => "h a",
    hm => "h:mm a",
    hms => "h:mm:ss a",
    hmsv => "h:mm:ss a v",
    hmv => "h:mm a v",
    ms => "mm:ss",
    y => "y",
    yM => "y-MM",
    yMEd => "y-MM-dd, E",
    yMMM => "y LLL",
    yMMMEd => "y MMM d, E",
    yMMMM => "y MMMM",
    yMMMMd => "\N{U+0f66}\N{U+0fa4}\N{U+0fb1}\N{U+0f72}\N{U+0f0b}\N{U+0f63}\N{U+0f7c}\N{U+0f0b}y MMMM\N{U+0f60}\N{U+0f72}\N{U+0f0b}\N{U+0f5a}\N{U+0f7a}\N{U+0f66}\N{U+0f0b}d",
    yMMMd => "y \N{U+0f63}\N{U+0f7c}\N{U+0f60}\N{U+0f72}\N{U+0f0b}MMM\N{U+0f5a}\N{U+0f7a}\N{U+0f66}\N{U+0f0b}d",
    yMd => "y-MM-dd",
    yQQQ => "y QQQ",
    yQQQQ => "y QQQQ",
    "yw-count-other" => "'week' w 'of' Y",
  },
  code => "bo",
  date_format_full => "y MMMM\N{U+0f60}\N{U+0f72}\N{U+0f0b}\N{U+0f5a}\N{U+0f7a}\N{U+0f66}\N{U+0f0b}d, EEEE",
  date_format_long => "\N{U+0f66}\N{U+0fa4}\N{U+0fb1}\N{U+0f72}\N{U+0f0b}\N{U+0f63}\N{U+0f7c}\N{U+0f0b}y MMMM\N{U+0f60}\N{U+0f72}\N{U+0f0b}\N{U+0f5a}\N{U+0f7a}\N{U+0f66}\N{U+0f0b}d",
  date_format_medium => "y \N{U+0f63}\N{U+0f7c}\N{U+0f60}\N{U+0f72}\N{U+0f0b}MMM\N{U+0f5a}\N{U+0f7a}\N{U+0f66}\N{U+0f0b}d",
  date_format_short => "y-MM-dd",
  datetime_format_full => "{1} {0}",
  datetime_format_long => "{1} {0}",
  datetime_format_medium => "{1} {0}",
  datetime_format_short => "{1} {0}",
  day_format_abbreviated => [
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}",
    "\N{U+0f58}\N{U+0f72}\N{U+0f42}\N{U+0f0b}\N{U+0f51}\N{U+0f58}\N{U+0f62}\N{U+0f0b}",
    "\N{U+0f63}\N{U+0fb7}\N{U+0f42}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f55}\N{U+0f74}\N{U+0f62}\N{U+0f0b}\N{U+0f56}\N{U+0f74}\N{U+0f0b}",
    "\N{U+0f54}\N{U+0f0b}\N{U+0f66}\N{U+0f44}\N{U+0f66}\N{U+0f0b}",
    "\N{U+0f66}\N{U+0fa4}\N{U+0f7a}\N{U+0f53}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f49}\N{U+0f72}\N{U+0f0b}\N{U+0f58}\N{U+0f0b}",
  ],
  day_format_narrow => [
    "\N{U+0f5f}\N{U+0fb3}",
    "\N{U+0f58}\N{U+0f72}\N{U+0f42}",
    "\N{U+0f63}\N{U+0fb7}\N{U+0f42}",
    "\N{U+0f55}\N{U+0f74}\N{U+0f62}",
    "\N{U+0f66}\N{U+0f44}\N{U+0f66}",
    "\N{U+0f66}\N{U+0fa4}\N{U+0f7a}\N{U+0f53}",
    "\N{U+0f49}\N{U+0f72}",
  ],
  day_format_wide => [
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f58}\N{U+0f72}\N{U+0f42}\N{U+0f0b}\N{U+0f51}\N{U+0f58}\N{U+0f62}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f63}\N{U+0fb7}\N{U+0f42}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f55}\N{U+0f74}\N{U+0f62}\N{U+0f0b}\N{U+0f56}\N{U+0f74}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}\N{U+0f66}\N{U+0f44}\N{U+0f66}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f66}\N{U+0fa4}\N{U+0f7a}\N{U+0f53}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f49}\N{U+0f72}\N{U+0f0b}\N{U+0f58}\N{U+0f0b}",
  ],
  day_stand_alone_abbreviated => [
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}",
    "\N{U+0f58}\N{U+0f72}\N{U+0f42}\N{U+0f0b}\N{U+0f51}\N{U+0f58}\N{U+0f62}\N{U+0f0b}",
    "\N{U+0f63}\N{U+0fb7}\N{U+0f42}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f55}\N{U+0f74}\N{U+0f62}\N{U+0f0b}\N{U+0f56}\N{U+0f74}\N{U+0f0b}",
    "\N{U+0f54}\N{U+0f0b}\N{U+0f66}\N{U+0f44}\N{U+0f66}\N{U+0f0b}",
    "\N{U+0f66}\N{U+0fa4}\N{U+0f7a}\N{U+0f53}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f49}\N{U+0f72}\N{U+0f0b}\N{U+0f58}\N{U+0f0b}",
  ],
  day_stand_alone_narrow => [
    "\N{U+0f5f}\N{U+0fb3}",
    "\N{U+0f58}\N{U+0f72}\N{U+0f42}",
    "\N{U+0f63}\N{U+0fb7}\N{U+0f42}",
    "\N{U+0f55}\N{U+0f74}\N{U+0f62}",
    "\N{U+0f66}\N{U+0f44}\N{U+0f66}",
    "\N{U+0f66}\N{U+0fa4}\N{U+0f7a}\N{U+0f53}",
    "\N{U+0f49}\N{U+0f72}",
  ],
  day_stand_alone_wide => [
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f58}\N{U+0f72}\N{U+0f42}\N{U+0f0b}\N{U+0f51}\N{U+0f58}\N{U+0f62}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f63}\N{U+0fb7}\N{U+0f42}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f55}\N{U+0f74}\N{U+0f62}\N{U+0f0b}\N{U+0f56}\N{U+0f74}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}\N{U+0f66}\N{U+0f44}\N{U+0f66}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f66}\N{U+0fa4}\N{U+0f7a}\N{U+0f53}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f42}\N{U+0f5f}\N{U+0f60}\N{U+0f0b}\N{U+0f49}\N{U+0f72}\N{U+0f0b}\N{U+0f58}\N{U+0f0b}",
  ],
  era_abbreviated => [
    "\N{U+0f66}\N{U+0fa4}\N{U+0fb1}\N{U+0f72}\N{U+0f0b}\N{U+0f63}\N{U+0f7c}\N{U+0f0b}\N{U+0f66}\N{U+0f94}\N{U+0f7c}\N{U+0f53}\N{U+0f0b}",
    "\N{U+0f66}\N{U+0fa4}\N{U+0fb1}\N{U+0f72}\N{U+0f0b}\N{U+0f63}\N{U+0f7c}\N{U+0f0b}",
  ],
  era_narrow => [
    "\N{U+0f66}\N{U+0fa4}\N{U+0fb1}\N{U+0f72}\N{U+0f0b}\N{U+0f63}\N{U+0f7c}\N{U+0f0b}\N{U+0f66}\N{U+0f94}\N{U+0f7c}\N{U+0f53}\N{U+0f0b}",
    "\N{U+0f66}\N{U+0fa4}\N{U+0fb1}\N{U+0f72}\N{U+0f0b}\N{U+0f63}\N{U+0f7c}\N{U+0f0b}",
  ],
  era_wide => [
    "\N{U+0f66}\N{U+0fa4}\N{U+0fb1}\N{U+0f72}\N{U+0f0b}\N{U+0f63}\N{U+0f7c}\N{U+0f0b}\N{U+0f66}\N{U+0f94}\N{U+0f7c}\N{U+0f53}\N{U+0f0b}",
    "\N{U+0f66}\N{U+0fa4}\N{U+0fb1}\N{U+0f72}\N{U+0f0b}\N{U+0f63}\N{U+0f7c}\N{U+0f0b}",
  ],
  first_day_of_week => 1,
  glibc_date_1_format => "%a %b %e %H:%M:%S %Z %Y",
  glibc_date_format => "%m/%d/%y",
  glibc_datetime_format => "%a %b %e %H:%M:%S %Y",
  glibc_time_12_format => "%I:%M:%S %p",
  glibc_time_format => "%H:%M:%S",
  language => "Tibetan",
  month_format_abbreviated => [
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f21}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f22}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f23}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f24}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f25}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f26}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f27}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f28}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f29}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f21}\N{U+0f20}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f21}\N{U+0f21}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f21}\N{U+0f22}",
  ],
  month_format_narrow => [
    1,
    2,
    3,
    4,
    5,
    6,
    7,
    8,
    9,
    10,
    11,
    12,
  ],
  month_format_wide => [
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f51}\N{U+0f44}\N{U+0f0b}\N{U+0f54}\N{U+0f7c}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f42}\N{U+0f49}\N{U+0f72}\N{U+0f66}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f42}\N{U+0f66}\N{U+0f74}\N{U+0f58}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f5e}\N{U+0f72}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f63}\N{U+0f94}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f51}\N{U+0fb2}\N{U+0f74}\N{U+0f42}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f51}\N{U+0f74}\N{U+0f53}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f62}\N{U+0f92}\N{U+0fb1}\N{U+0f51}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f51}\N{U+0f42}\N{U+0f74}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f45}\N{U+0f74}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f45}\N{U+0f74}\N{U+0f0b}\N{U+0f42}\N{U+0f45}\N{U+0f72}\N{U+0f42}\N{U+0f0b}\N{U+0f54}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f45}\N{U+0f74}\N{U+0f0b}\N{U+0f42}\N{U+0f49}\N{U+0f72}\N{U+0f66}\N{U+0f0b}\N{U+0f54}",
  ],
  month_stand_alone_abbreviated => [
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f21}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f22}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f23}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f24}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f25}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f26}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f27}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f28}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f29}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f21}\N{U+0f20}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f21}\N{U+0f21}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f21}\N{U+0f22}",
  ],
  month_stand_alone_narrow => [
    1,
    2,
    3,
    4,
    5,
    6,
    7,
    8,
    9,
    10,
    11,
    12,
  ],
  month_stand_alone_wide => [
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f51}\N{U+0f44}\N{U+0f0b}\N{U+0f54}\N{U+0f7c}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f42}\N{U+0f49}\N{U+0f72}\N{U+0f66}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f42}\N{U+0f66}\N{U+0f74}\N{U+0f58}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f5e}\N{U+0f72}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f63}\N{U+0f94}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f51}\N{U+0fb2}\N{U+0f74}\N{U+0f42}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f51}\N{U+0f74}\N{U+0f53}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f62}\N{U+0f92}\N{U+0fb1}\N{U+0f51}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f51}\N{U+0f42}\N{U+0f74}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f45}\N{U+0f74}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f45}\N{U+0f74}\N{U+0f0b}\N{U+0f42}\N{U+0f45}\N{U+0f72}\N{U+0f42}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
    "\N{U+0f5f}\N{U+0fb3}\N{U+0f0b}\N{U+0f56}\N{U+0f0b}\N{U+0f56}\N{U+0f45}\N{U+0f74}\N{U+0f0b}\N{U+0f42}\N{U+0f49}\N{U+0f72}\N{U+0f66}\N{U+0f0b}\N{U+0f54}\N{U+0f0b}",
  ],
  name => "Tibetan",
  native_language => "\N{U+0f56}\N{U+0f7c}\N{U+0f51}\N{U+0f0b}\N{U+0f66}\N{U+0f90}\N{U+0f51}\N{U+0f0b}",
  native_name => "\N{U+0f56}\N{U+0f7c}\N{U+0f51}\N{U+0f0b}\N{U+0f66}\N{U+0f90}\N{U+0f51}\N{U+0f0b}",
  native_script => undef,
  native_territory => undef,
  native_variant => undef,
  quarter_format_abbreviated => [
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f51}\N{U+0f44}\N{U+0f0b}\N{U+0f54}\N{U+0f7c}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f42}\N{U+0f49}\N{U+0f72}\N{U+0f66}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f42}\N{U+0f66}\N{U+0f74}\N{U+0f58}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f56}\N{U+0f5e}\N{U+0f72}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
  ],
  quarter_format_narrow => [
    1,
    2,
    3,
    4,
  ],
  quarter_format_wide => [
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f51}\N{U+0f44}\N{U+0f0b}\N{U+0f54}\N{U+0f7c}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f42}\N{U+0f49}\N{U+0f72}\N{U+0f66}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f42}\N{U+0f66}\N{U+0f74}\N{U+0f58}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f56}\N{U+0f5e}\N{U+0f72}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
  ],
  quarter_stand_alone_abbreviated => [
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f51}\N{U+0f44}\N{U+0f0b}\N{U+0f54}\N{U+0f7c}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f42}\N{U+0f49}\N{U+0f72}\N{U+0f66}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f42}\N{U+0f66}\N{U+0f74}\N{U+0f58}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f56}\N{U+0f5e}\N{U+0f72}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
  ],
  quarter_stand_alone_narrow => [
    1,
    2,
    3,
    4,
  ],
  quarter_stand_alone_wide => [
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f51}\N{U+0f44}\N{U+0f0b}\N{U+0f54}\N{U+0f7c}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f42}\N{U+0f49}\N{U+0f72}\N{U+0f66}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f42}\N{U+0f66}\N{U+0f74}\N{U+0f58}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
    "\N{U+0f51}\N{U+0f74}\N{U+0f66}\N{U+0f0b}\N{U+0f5a}\N{U+0f72}\N{U+0f42}\N{U+0f66}\N{U+0f0b}\N{U+0f56}\N{U+0f5e}\N{U+0f72}\N{U+0f0b}\N{U+0f54}\N{U+0f0d}",
  ],
  script => undef,
  territory => undef,
  time_format_full => "HH:mm:ss zzzz",
  time_format_long => "HH:mm:ss z",
  time_format_medium => "HH:mm:ss",
  time_format_short => "HH:mm",
  variant => undef,
  version => 43,
}
