{
  am_pm_abbreviated => [
    "\N{U+10468}\N{U+10465}",
    "\N{U+10450}\N{U+10465}",
  ],
  available_formats => {
    Bh => "h B",
    Bhm => "h:mm B",
    Bhms => "h:mm:ss B",
    E => "ccc",
    EBhm => "E h:mm B",
    EBhms => "E h:mm:ss B",
    EHm => "E HH:mm",
    EHms => "E HH:mm:ss",
    Ed => "d, E",
    Ehm => "E h:mm a",
    Ehms => "E h:mm:ss a",
    Gy => "G y",
    GyMMM => "G y MMM",
    GyMMMEd => "G y MMM d, E",
    GyMMMd => "G y MMM d",
    GyMd => "GGGGG y-MM-dd",
    H => "HH",
    Hm => "HH:mm",
    Hms => "HH:mm:ss",
    Hmsv => "HH:mm:ss v",
    Hmv => "HH:mm v",
    M => "L",
    MEd => "MM-dd, E",
    MMM => "LLL",
    MMMEd => "MMM d, E",
    "MMMMW-count-other" => "'week' W 'of' MMMM",
    MMMMd => "MMMM d",
    MMMd => "MMM d",
    Md => "MM-dd",
    d => "d",
    h => "h a",
    hm => "h:mm a",
    hms => "h:mm:ss a",
    hmsv => "h:mm:ss a v",
    hmv => "h:mm a v",
    ms => "mm:ss",
    y => "y",
    yM => "y-MM",
    yMEd => "y-MM-dd, E",
    yMMM => "y MMM",
    yMMMEd => "y MMM d, E",
    yMMMM => "y MMMM",
    yMMMd => "y MMM d",
    yMd => "y-MM-dd",
    yQQQ => "y QQQ",
    yQQQQ => "y QQQQ",
    "yw-count-other" => "'week' w 'of' Y",
  },
  code => "en-Shaw",
  date_format_full => "y MMMM d, EEEE",
  date_format_long => "y MMMM d",
  date_format_medium => "y MMM d",
  date_format_short => "y-MM-dd",
  datetime_format_full => "{1} {0}",
  datetime_format_long => "{1} {0}",
  datetime_format_medium => "{1} {0}",
  datetime_format_short => "{1} {0}",
  day_format_abbreviated => [
    "\N{U+00b7}\N{U+10465}\N{U+1046d}",
    "\N{U+00b7}\N{U+10451}\N{U+10475}",
    "\N{U+00b7}\N{U+10462}\N{U+10467}",
    "\N{U+00b7}\N{U+10454}\N{U+1047b}",
    "\N{U+00b7}\N{U+10453}\N{U+1046e}",
    "\N{U+00b7}\N{U+10455}\N{U+10468}",
    "\N{U+00b7}\N{U+10455}\N{U+1046d}",
  ],
  day_format_narrow => [
    "\N{U+10465}",
    "\N{U+10451}",
    "\N{U+10462}",
    "\N{U+10454}",
    "\N{U+10453}",
    "\N{U+10455}",
    "\N{U+10455}",
  ],
  day_format_wide => [
    "\N{U+00b7}\N{U+10465}\N{U+1046d}\N{U+10459}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10451}\N{U+10475}\N{U+1045f}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10462}\N{U+10467}\N{U+10459}\N{U+1045f}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10454}\N{U+1047b}\N{U+1045f}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10453}\N{U+1046e}\N{U+10472}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10455}\N{U+10468}\N{U+1045b}\N{U+1047b}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10455}\N{U+1046d}\N{U+10459}\N{U+1045b}\N{U+10471}",
  ],
  day_stand_alone_abbreviated => [
    "\N{U+00b7}\N{U+10465}\N{U+1046d}",
    "\N{U+00b7}\N{U+10451}\N{U+10475}",
    "\N{U+00b7}\N{U+10462}\N{U+10467}",
    "\N{U+00b7}\N{U+10454}\N{U+1047b}",
    "\N{U+00b7}\N{U+10453}\N{U+1046e}",
    "\N{U+00b7}\N{U+10455}\N{U+10468}",
    "\N{U+00b7}\N{U+10455}\N{U+1046d}",
  ],
  day_stand_alone_narrow => [
    "\N{U+10465}",
    "\N{U+10451}",
    "\N{U+10462}",
    "\N{U+10454}",
    "\N{U+10453}",
    "\N{U+10455}",
    "\N{U+10455}",
  ],
  day_stand_alone_wide => [
    "\N{U+00b7}\N{U+10465}\N{U+1046d}\N{U+10459}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10451}\N{U+10475}\N{U+1045f}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10462}\N{U+10467}\N{U+10459}\N{U+1045f}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10454}\N{U+1047b}\N{U+1045f}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10453}\N{U+1046e}\N{U+10472}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10455}\N{U+10468}\N{U+1045b}\N{U+1047b}\N{U+1045b}\N{U+10471}",
    "\N{U+00b7}\N{U+10455}\N{U+1046d}\N{U+10459}\N{U+1045b}\N{U+10471}",
  ],
  era_abbreviated => [
    "\N{U+1045a}\N{U+00b7}\N{U+10452}",
    "\N{U+10468}\N{U+1045b}",
  ],
  era_narrow => [
    "\N{U+1045a}",
    "\N{U+10468}",
  ],
  era_wide => [
    "\N{U+1045a}\N{U+10470}\N{U+10453}\N{U+1046a}\N{U+1046e} \N{U+00b7}\N{U+10452}\N{U+1046e}\N{U+10472}\N{U+10455}\N{U+10451}",
    "\N{U+10468}\N{U+10459}\N{U+10474} \N{U+1045b}\N{U+1046a}\N{U+10465}\N{U+10466}\N{U+10459}\N{U+10470}",
  ],
  first_day_of_week => 1,
  glibc_date_1_format => "%a %b %e %H:%M:%S %Z %Y",
  glibc_date_format => "%m/%d/%y",
  glibc_datetime_format => "%a %b %e %H:%M:%S %Y",
  glibc_time_12_format => "%I:%M:%S %p",
  glibc_time_format => "%H:%M:%S",
  language => "English",
  month_format_abbreviated => [
    "\N{U+00b7}\N{U+10461}\N{U+10468}",
    "\N{U+00b7}\N{U+10453}\N{U+10467}",
    "\N{U+00b7}\N{U+10465}\N{U+10478}",
    "\N{U+00b7}\N{U+10471}\N{U+10450}",
    "\N{U+00b7}\N{U+10465}\N{U+10471}",
    "\N{U+00b7}\N{U+10461}\N{U+10475}",
    "\N{U+00b7}\N{U+10461}\N{U+1046b}",
    "\N{U+00b7}\N{U+1046a}\N{U+1045c}",
    "\N{U+00b7}\N{U+10455}\N{U+10467}",
    "\N{U+00b7}\N{U+10477}\N{U+10452}",
    "\N{U+00b7}\N{U+1046f}\N{U+10474}",
    "\N{U+00b7}\N{U+1045b}\N{U+1046d}",
  ],
  month_format_narrow => [
    "\N{U+10461}",
    "\N{U+10453}",
    "\N{U+10465}",
    "\N{U+10471}",
    "\N{U+10465}",
    "\N{U+10461}",
    "\N{U+10461}",
    "\N{U+1046a}",
    "\N{U+10455}",
    "\N{U+10477}",
    "\N{U+1046f}",
    "\N{U+1045b}",
  ],
  month_format_wide => [
    "\N{U+00b7}\N{U+10461}\N{U+10468}\N{U+10459}\N{U+10458}\N{U+1046d}\N{U+10462}\N{U+1047a}\N{U+10470}",
    "\N{U+00b7}\N{U+10453}\N{U+10467}\N{U+1045a}\N{U+10458}\N{U+10475}\N{U+10462}\N{U+1047a}\N{U+10470}",
    "\N{U+00b7}\N{U+10465}\N{U+10478}\N{U+10457}",
    "\N{U+00b7}\N{U+10471}\N{U+10450}\N{U+1046e}\N{U+1046d}\N{U+10464}",
    "\N{U+00b7}\N{U+10465}\N{U+10471}",
    "\N{U+00b7}\N{U+10461}\N{U+10475}\N{U+1046f}",
    "\N{U+00b7}\N{U+10461}\N{U+1046b}\N{U+10464}\N{U+10472}",
    "\N{U+00b7}\N{U+1046a}\N{U+1045c}\N{U+1046d}\N{U+10455}\N{U+10451}",
    "\N{U+00b7}\N{U+10455}\N{U+10467}\N{U+10450}\N{U+10451}\N{U+10467}\N{U+10465}\N{U+1045a}\N{U+10478}",
    "\N{U+00b7}\N{U+10477}\N{U+10452}\N{U+10451}\N{U+10474}\N{U+1045a}\N{U+10478}",
    "\N{U+00b7}\N{U+1046f}\N{U+10474}\N{U+1045d}\N{U+10467}\N{U+10465}\N{U+1045a}\N{U+10478}",
    "\N{U+00b7}\N{U+1045b}\N{U+1046d}\N{U+10455}\N{U+10467}\N{U+10465}\N{U+1045a}\N{U+10478}",
  ],
  month_stand_alone_abbreviated => [
    "\N{U+00b7}\N{U+10461}\N{U+10468}",
    "\N{U+00b7}\N{U+10453}\N{U+10467}",
    "\N{U+00b7}\N{U+10465}\N{U+10478}",
    "\N{U+00b7}\N{U+10471}\N{U+10450}",
    "\N{U+00b7}\N{U+10465}\N{U+10471}",
    "\N{U+00b7}\N{U+10461}\N{U+10475}",
    "\N{U+00b7}\N{U+10461}\N{U+1046b}",
    "\N{U+00b7}\N{U+1046a}\N{U+1045c}",
    "\N{U+00b7}\N{U+10455}\N{U+10467}",
    "\N{U+00b7}\N{U+10477}\N{U+10452}",
    "\N{U+00b7}\N{U+1046f}\N{U+10474}",
    "\N{U+00b7}\N{U+1045b}\N{U+1046d}",
  ],
  month_stand_alone_narrow => [
    "\N{U+10461}",
    "\N{U+10453}",
    "\N{U+10465}",
    "\N{U+10471}",
    "\N{U+10465}",
    "\N{U+10461}",
    "\N{U+10461}",
    "\N{U+1046a}",
    "\N{U+10455}",
    "\N{U+10477}",
    "\N{U+1046f}",
    "\N{U+1045b}",
  ],
  month_stand_alone_wide => [
    "\N{U+00b7}\N{U+10461}\N{U+10468}\N{U+10459}\N{U+10458}\N{U+1046d}\N{U+10462}\N{U+1047a}\N{U+10470}",
    "\N{U+00b7}\N{U+10453}\N{U+10467}\N{U+1045a}\N{U+10458}\N{U+10475}\N{U+10462}\N{U+1047a}\N{U+10470}",
    "\N{U+00b7}\N{U+10465}\N{U+10478}\N{U+10457}",
    "\N{U+00b7}\N{U+10471}\N{U+10450}\N{U+1046e}\N{U+1046d}\N{U+10464}",
    "\N{U+00b7}\N{U+10465}\N{U+10471}",
    "\N{U+00b7}\N{U+10461}\N{U+10475}\N{U+1046f}",
    "\N{U+00b7}\N{U+10461}\N{U+1046b}\N{U+10464}\N{U+10472}",
    "\N{U+00b7}\N{U+1046a}\N{U+1045c}\N{U+1046d}\N{U+10455}\N{U+10451}",
    "\N{U+00b7}\N{U+10455}\N{U+10467}\N{U+10450}\N{U+10451}\N{U+10467}\N{U+10465}\N{U+1045a}\N{U+10478}",
    "\N{U+00b7}\N{U+10477}\N{U+10452}\N{U+10451}\N{U+10474}\N{U+1045a}\N{U+10478}",
    "\N{U+00b7}\N{U+1046f}\N{U+10474}\N{U+1045d}\N{U+10467}\N{U+10465}\N{U+1045a}\N{U+10478}",
    "\N{U+00b7}\N{U+1045b}\N{U+1046d}\N{U+10455}\N{U+10467}\N{U+10465}\N{U+1045a}\N{U+10478}",
  ],
  name => "English Shavian",
  native_language => undef,
  native_name => "",
  native_script => undef,
  native_territory => undef,
  native_variant => undef,
  quarter_format_abbreviated => [
    "\N{U+10452}1",
    "\N{U+10452}2",
    "\N{U+10452}3",
    "\N{U+10452}4",
  ],
  quarter_format_narrow => [
    1,
    2,
    3,
    4,
  ],
  quarter_format_wide => [
    "1\N{U+10455}\N{U+10451} \N{U+10452}\N{U+10462}\N{U+10478}\N{U+1045b}\N{U+10478}",
    "2\N{U+1046f}\N{U+1045b} \N{U+10452}\N{U+10462}\N{U+10478}\N{U+1045b}\N{U+10478}",
    "3\N{U+1047b}\N{U+1045b} \N{U+10452}\N{U+10462}\N{U+10478}\N{U+1045b}\N{U+10478}",
    "4\N{U+10479}\N{U+10454} \N{U+10452}\N{U+10462}\N{U+10478}\N{U+1045b}\N{U+10478}",
  ],
  quarter_stand_alone_abbreviated => [
    "\N{U+10452}1",
    "\N{U+10452}2",
    "\N{U+10452}3",
    "\N{U+10452}4",
  ],
  quarter_stand_alone_narrow => [
    1,
    2,
    3,
    4,
  ],
  quarter_stand_alone_wide => [
    "1\N{U+10455}\N{U+10451} \N{U+10452}\N{U+10462}\N{U+10478}\N{U+1045b}\N{U+10478}",
    "2\N{U+1046f}\N{U+1045b} \N{U+10452}\N{U+10462}\N{U+10478}\N{U+1045b}\N{U+10478}",
    "3\N{U+1047b}\N{U+1045b} \N{U+10452}\N{U+10462}\N{U+10478}\N{U+1045b}\N{U+10478}",
    "4\N{U+10479}\N{U+10454} \N{U+10452}\N{U+10462}\N{U+10478}\N{U+1045b}\N{U+10478}",
  ],
  script => "Shavian",
  territory => undef,
  time_format_full => "HH:mm:ss zzzz",
  time_format_long => "HH:mm:ss z",
  time_format_medium => "HH:mm:ss",
  time_format_short => "HH:mm",
  variant => undef,
  version => 43,
}
