{
  am_pm_abbreviated => [
    "\N{U+1e900}\N{U+1e90e}",
    "\N{U+1e907}\N{U+1e90e}",
  ],
  available_formats => {
    Bh => "h B",
    Bhm => "h:mm B",
    Bhms => "h:mm:ss B",
    E => "ccc",
    EBhm => "E h:mm B",
    EBhms => "E h:mm:ss B",
    EHm => "E HH:mm",
    EHms => "E HH:mm:ss",
    Ed => "E d",
    Ehm => "E h:mm a",
    Ehms => "E h:mm:ss a",
    Gy => "y G",
    GyMMM => "MMM y G",
    GyMMMEd => "E\N{U+2e41} d MMM\N{U+2e41} y G",
    GyMMMd => "d MMM\N{U+2e41} y G",
    GyMd => "d-M-y GGGGG",
    H => "HH",
    Hm => "HH:mm",
    Hms => "HH:mm:ss",
    Hmsv => "HH:mm:ss v",
    Hmv => "HH:mm v",
    M => "L",
    MEd => "E d-M",
    MMM => "LLL",
    MMMEd => "E d MMM",
    "MMMMW-count-one" => "\N{U+1e934}\N{U+1e92e}\N{U+1e932}\N{U+1e93c}\N{U+1e92b}\N{U+1e92a}\N{U+1e92b} W \N{U+1e932}\N{U+1e923}\N{U+1e92b}\N{U+1e92a} MMMM",
    "MMMMW-count-other" => "\N{U+1e934}\N{U+1e92e}\N{U+1e932}\N{U+1e93c}\N{U+1e92b}\N{U+1e92a}\N{U+1e92b} W \N{U+1e932}\N{U+1e923}\N{U+1e92b}\N{U+1e92a} MMMM",
    MMMMd => "d MMMM",
    MMMd => "d MMM",
    Md => "d-M",
    d => "d",
    h => "h a",
    hm => "h:mm a",
    hms => "h:mm:ss a",
    hmsv => "h:mm:ss a v",
    hmv => "h:mm a v",
    ms => "mm:ss",
    y => "y",
    yM => "M-y",
    yMEd => "E\N{U+2e41} d-M-y",
    yMMM => "MMM y",
    yMMMEd => "E\N{U+2e41} d MMM\N{U+2e41} y",
    yMMMM => "MMMM y",
    yMMMd => "d MMM\N{U+2e41} y",
    yMd => "d-M-y",
    yQQQ => "QQQ y",
    yQQQQ => "QQQQ y",
    "yw-count-one" => "\N{U+1e934}\N{U+1e92e}\N{U+1e932}\N{U+1e93c}\N{U+1e92b}\N{U+1e92a}\N{U+1e92b} w \N{U+1e932}\N{U+1e923}\N{U+1e92b}\N{U+1e92a} Y",
    "yw-count-other" => "\N{U+1e934}\N{U+1e92e}\N{U+1e932}\N{U+1e93c}\N{U+1e92b}\N{U+1e92a}\N{U+1e92b} w \N{U+1e932}\N{U+1e923}\N{U+1e92b}\N{U+1e92a} Y",
  },
  code => "ff-Adlm-SN",
  date_format_full => "EEEE d MMMM\N{U+2e41} y",
  date_format_long => "d MMMM\N{U+2e41} y",
  date_format_medium => "d MMM\N{U+2e41} y",
  date_format_short => "d-M-y",
  datetime_format_full => "{1} {0}",
  datetime_format_long => "{1} {0}",
  datetime_format_medium => "{1} {0}",
  datetime_format_short => "{1} {0}",
  day_format_abbreviated => [
    "\N{U+1e900}\N{U+1e944}\N{U+1e929}\N{U+1e935}",
    "\N{U+1e903}\N{U+1e922}\N{U+1e926}",
    "\N{U+1e914}\N{U+1e92b}\N{U+1e927}",
    "\N{U+1e910}\N{U+1e922}\N{U+1e944}\N{U+1e927}",
    "\N{U+1e903}\N{U+1e922}\N{U+1e923}",
    "\N{U+1e916}\N{U+1e92e}\N{U+1e92a}",
    "\N{U+1e908}\N{U+1e92b}\N{U+1e92c}",
  ],
  day_format_narrow => [
    "\N{U+1e900}\N{U+1e944}",
    "\N{U+1e903}",
    "\N{U+1e914}",
    "\N{U+1e910}",
    "\N{U+1e903}",
    "\N{U+1e916}",
    "\N{U+1e908}",
  ],
  day_format_wide => [
    "\N{U+1e900}\N{U+1e944}\N{U+1e929}\N{U+1e935}\N{U+1e932}\N{U+1e94b}\N{U+1e923}\N{U+1e92b}",
    "\N{U+1e903}\N{U+1e922}\N{U+1e931}\N{U+1e926}\N{U+1e922}\N{U+1e944}\N{U+1e92a}\N{U+1e92b}",
    "\N{U+1e910}\N{U+1e936}\N{U+1e92b}\N{U+1e927}\N{U+1e924}\N{U+1e922}\N{U+1e944}\N{U+1e92a}\N{U+1e92b}",
    "\N{U+1e910}\N{U+1e922}\N{U+1e944}\N{U+1e927}\N{U+1e922}\N{U+1e944}\N{U+1e932}\N{U+1e923}\N{U+1e92b}",
    "\N{U+1e903}\N{U+1e922}\N{U+1e931}\N{U+1e932}\N{U+1e923}\N{U+1e92b}",
    "\N{U+1e916}\N{U+1e92e}\N{U+1e92a}\N{U+1e926}\N{U+1e92d}\N{U+1e92a}\N{U+1e946}\N{U+1e92b}",
    "\N{U+1e908}\N{U+1e92b}\N{U+1e92c}\N{U+1e926}\N{U+1e92d}\N{U+1e92a}\N{U+1e946}\N{U+1e92b}",
  ],
  day_stand_alone_abbreviated => [
    "\N{U+1e900}\N{U+1e944}\N{U+1e929}\N{U+1e935}",
    "\N{U+1e903}\N{U+1e922}\N{U+1e926}",
    "\N{U+1e914}\N{U+1e92b}\N{U+1e927}",
    "\N{U+1e910}\N{U+1e922}\N{U+1e944}\N{U+1e927}",
    "\N{U+1e903}\N{U+1e922}\N{U+1e923}",
    "\N{U+1e916}\N{U+1e92e}\N{U+1e92a}",
    "\N{U+1e908}\N{U+1e92b}\N{U+1e92c}",
  ],
  day_stand_alone_narrow => [
    "\N{U+1e900}\N{U+1e944}",
    "\N{U+1e903}",
    "\N{U+1e914}",
    "\N{U+1e910}",
    "\N{U+1e903}",
    "\N{U+1e916}",
    "\N{U+1e908}",
  ],
  day_stand_alone_wide => [
    "\N{U+1e900}\N{U+1e944}\N{U+1e929}\N{U+1e935}\N{U+1e932}\N{U+1e94b}\N{U+1e923}\N{U+1e92b}",
    "\N{U+1e903}\N{U+1e922}\N{U+1e931}\N{U+1e926}\N{U+1e922}\N{U+1e944}\N{U+1e92a}\N{U+1e92b}",
    "\N{U+1e910}\N{U+1e936}\N{U+1e92b}\N{U+1e927}\N{U+1e924}\N{U+1e922}\N{U+1e944}\N{U+1e92a}\N{U+1e92b}",
    "\N{U+1e910}\N{U+1e922}\N{U+1e944}\N{U+1e927}\N{U+1e922}\N{U+1e944}\N{U+1e932}\N{U+1e923}\N{U+1e92b}",
    "\N{U+1e903}\N{U+1e922}\N{U+1e931}\N{U+1e932}\N{U+1e923}\N{U+1e92b}",
    "\N{U+1e916}\N{U+1e92e}\N{U+1e92a}\N{U+1e926}\N{U+1e92d}\N{U+1e92a}\N{U+1e946}\N{U+1e92b}",
    "\N{U+1e908}\N{U+1e92b}\N{U+1e92c}\N{U+1e926}\N{U+1e92d}\N{U+1e92a}\N{U+1e946}\N{U+1e92b}",
  ],
  era_abbreviated => [
    "\N{U+1e900}\N{U+1e900}\N{U+1e90b}",
    "\N{U+1e907}\N{U+1e900}\N{U+1e90b}",
  ],
  era_narrow => [
    "\N{U+1e900}\N{U+1e900}\N{U+1e90b}",
    "\N{U+1e907}\N{U+1e900}\N{U+1e90b}",
  ],
  era_wide => [
    "\N{U+1e900}\N{U+1e923}\N{U+1e92e} \N{U+1e900}\N{U+1e932}\N{U+1e946}\N{U+1e922}\N{U+1e926}\N{U+1e92d} \N{U+1e90b}\N{U+1e945}\N{U+1e927}\N{U+1e922}\N{U+1e944}",
    "\N{U+1e907}\N{U+1e922}\N{U+1e944}\N{U+1e931}\N{U+1e92e} \N{U+1e900}\N{U+1e932}\N{U+1e946}\N{U+1e922}\N{U+1e926}\N{U+1e92d} \N{U+1e90b}\N{U+1e945}\N{U+1e927}\N{U+1e922}\N{U+1e944}",
  ],
  first_day_of_week => 1,
  glibc_date_1_format => "%a %b %e %H:%M:%S %Z %Y",
  glibc_date_format => "%m/%d/%y",
  glibc_datetime_format => "%a %b %e %H:%M:%S %Y",
  glibc_time_12_format => "%I:%M:%S %p",
  glibc_time_format => "%H:%M:%S",
  language => "Fula",
  month_format_abbreviated => [
    "\N{U+1e905}\N{U+1e92d}\N{U+1e945}\N{U+1e924}\N{U+1e92e}",
    "\N{U+1e915}\N{U+1e92e}\N{U+1e924}\N{U+1e93c}\N{U+1e92e}",
    "\N{U+1e910}\N{U+1e926}\N{U+1e92e}\N{U+1e945}\N{U+1e934}\N{U+1e92e}",
    "\N{U+1e905}\N{U+1e92b}\N{U+1e945}\N{U+1e93c}\N{U+1e92e}",
    "\N{U+1e901}\N{U+1e935}\N{U+1e945}\N{U+1e936}\N{U+1e92e}",
    "\N{U+1e911}\N{U+1e92e}\N{U+1e92a}\N{U+1e927}\N{U+1e92e}",
    "\N{U+1e903}\N{U+1e92e}\N{U+1e92a}\N{U+1e927}\N{U+1e92e}",
    "\N{U+1e914}\N{U+1e935}\N{U+1e933}\N{U+1e92e}",
    "\N{U+1e905}\N{U+1e92d}\N{U+1e924}\N{U+1e93c}\N{U+1e92e}",
    "\N{U+1e912}\N{U+1e922}\N{U+1e92a}\N{U+1e933}\N{U+1e92e}",
    "\N{U+1e914}\N{U+1e92e}\N{U+1e924}\N{U+1e92e}",
    "\N{U+1e904}\N{U+1e92e}\N{U+1e931}\N{U+1e93c}\N{U+1e92e}",
  ],
  month_format_narrow => [
    "\N{U+1e905}",
    "\N{U+1e915}",
    "\N{U+1e904}",
    "\N{U+1e905}",
    "\N{U+1e901}",
    "\N{U+1e911}",
    "\N{U+1e903}",
    "\N{U+1e914}",
    "\N{U+1e905}",
    "\N{U+1e912}",
    "\N{U+1e914}",
    "\N{U+1e904}",
  ],
  month_format_wide => [
    "\N{U+1e905}\N{U+1e92d}\N{U+1e945}\N{U+1e924}\N{U+1e92e}",
    "\N{U+1e915}\N{U+1e92e}\N{U+1e924}\N{U+1e93c}\N{U+1e92e}",
    "\N{U+1e910}\N{U+1e926}\N{U+1e92e}\N{U+1e945}\N{U+1e934}\N{U+1e92e}",
    "\N{U+1e905}\N{U+1e92b}\N{U+1e945}\N{U+1e93c}\N{U+1e92e}",
    "\N{U+1e901}\N{U+1e935}\N{U+1e945}\N{U+1e936}\N{U+1e92e}",
    "\N{U+1e911}\N{U+1e92e}\N{U+1e92a}\N{U+1e927}\N{U+1e92e}",
    "\N{U+1e903}\N{U+1e92e}\N{U+1e92a}\N{U+1e927}\N{U+1e92e}",
    "\N{U+1e914}\N{U+1e935}\N{U+1e933}\N{U+1e92e}",
    "\N{U+1e905}\N{U+1e92d}\N{U+1e924}\N{U+1e93c}\N{U+1e92e}",
    "\N{U+1e912}\N{U+1e922}\N{U+1e92a}\N{U+1e933}\N{U+1e92e}",
    "\N{U+1e914}\N{U+1e92e}\N{U+1e924}\N{U+1e92e}",
    "\N{U+1e904}\N{U+1e92e}\N{U+1e931}\N{U+1e93c}\N{U+1e92e}",
  ],
  month_stand_alone_abbreviated => [
    "\N{U+1e905}\N{U+1e92d}\N{U+1e945}\N{U+1e924}",
    "\N{U+1e915}\N{U+1e92e}\N{U+1e924}",
    "\N{U+1e910}\N{U+1e926}\N{U+1e92e}\N{U+1e945}\N{U+1e934}",
    "\N{U+1e905}\N{U+1e92b}\N{U+1e945}\N{U+1e93c}",
    "\N{U+1e901}\N{U+1e935}\N{U+1e945}\N{U+1e936}",
    "\N{U+1e911}\N{U+1e92e}\N{U+1e92a}",
    "\N{U+1e903}\N{U+1e92e}\N{U+1e92a}",
    "\N{U+1e914}\N{U+1e935}\N{U+1e933}",
    "\N{U+1e905}\N{U+1e92d}\N{U+1e924}",
    "\N{U+1e912}\N{U+1e922}\N{U+1e92a}",
    "\N{U+1e914}\N{U+1e92e}\N{U+1e924}",
    "\N{U+1e904}\N{U+1e92e}\N{U+1e931}",
  ],
  month_stand_alone_narrow => [
    "\N{U+1e905}",
    "\N{U+1e915}",
    "\N{U+1e904}",
    "\N{U+1e905}",
    "\N{U+1e901}",
    "\N{U+1e911}",
    "\N{U+1e903}",
    "\N{U+1e914}",
    "\N{U+1e905}",
    "\N{U+1e912}",
    "\N{U+1e914}",
    "\N{U+1e904}",
  ],
  month_stand_alone_wide => [
    "\N{U+1e905}\N{U+1e92d}\N{U+1e945}\N{U+1e924}\N{U+1e92e}",
    "\N{U+1e915}\N{U+1e92e}\N{U+1e924}\N{U+1e93c}\N{U+1e92e}",
    "\N{U+1e910}\N{U+1e926}\N{U+1e92e}\N{U+1e945}\N{U+1e934}\N{U+1e92e}",
    "\N{U+1e905}\N{U+1e92b}\N{U+1e945}\N{U+1e93c}\N{U+1e92e}",
    "\N{U+1e901}\N{U+1e935}\N{U+1e945}\N{U+1e936}\N{U+1e92e}",
    "\N{U+1e911}\N{U+1e92e}\N{U+1e92a}\N{U+1e927}\N{U+1e92e}",
    "\N{U+1e903}\N{U+1e92e}\N{U+1e92a}\N{U+1e927}\N{U+1e92e}",
    "\N{U+1e914}\N{U+1e935}\N{U+1e933}\N{U+1e92e}",
    "\N{U+1e905}\N{U+1e92d}\N{U+1e924}\N{U+1e93c}\N{U+1e92e}",
    "\N{U+1e912}\N{U+1e922}\N{U+1e92a}\N{U+1e933}\N{U+1e92e}",
    "\N{U+1e914}\N{U+1e92e}\N{U+1e924}\N{U+1e92e}",
    "\N{U+1e904}\N{U+1e92e}\N{U+1e931}\N{U+1e93c}\N{U+1e92e}",
  ],
  name => "Fula Senegal Adlam",
  native_language => "\N{U+1e906}\N{U+1e935}\N{U+1e924}\N{U+1e922}\N{U+1e92a}",
  native_name => "\N{U+1e906}\N{U+1e935}\N{U+1e924}\N{U+1e922}\N{U+1e92a} \N{U+1e905}\N{U+1e92b}\N{U+1e932}\N{U+1e92b}\N{U+1e93a}\N{U+1e922}\N{U+1e944}\N{U+1e924} \N{U+1e900}\N{U+1e901}\N{U+1e902}\N{U+1e922}\N{U+1e903}",
  native_script => "\N{U+1e900}\N{U+1e901}\N{U+1e902}\N{U+1e922}\N{U+1e903}",
  native_territory => "\N{U+1e905}\N{U+1e92b}\N{U+1e932}\N{U+1e92b}\N{U+1e93a}\N{U+1e922}\N{U+1e944}\N{U+1e924}",
  native_variant => undef,
  quarter_format_abbreviated => [
    "\N{U+1e910}\N{U+1e951}",
    "\N{U+1e910}\N{U+1e952}",
    "\N{U+1e910}\N{U+1e953}",
    "\N{U+1e910}\N{U+1e954}",
  ],
  quarter_format_narrow => [
    "\N{U+1e951}",
    "\N{U+1e952}",
    "\N{U+1e953}",
    "\N{U+1e954}",
  ],
  quarter_format_wide => [
    "\N{U+1e910}\N{U+1e951}",
    "\N{U+1e910}\N{U+1e952}",
    "\N{U+1e910}\N{U+1e953}",
    "\N{U+1e910}\N{U+1e954}",
  ],
  quarter_stand_alone_abbreviated => [
    "\N{U+1e910}\N{U+1e951}",
    "\N{U+1e910}\N{U+1e952}",
    "\N{U+1e910}\N{U+1e953}",
    "\N{U+1e910}\N{U+1e954}",
  ],
  quarter_stand_alone_narrow => [
    "\N{U+1e951}",
    "\N{U+1e952}",
    "\N{U+1e953}",
    "\N{U+1e954}",
  ],
  quarter_stand_alone_wide => [
    "\N{U+1e910}\N{U+1e922}\N{U+1e934}\N{U+1e929}\N{U+1e92d}\N{U+1e945}\N{U+1e92a}\N{U+1e92b} \N{U+1e951}\N{U+1e92a}\N{U+1e92b}",
    "\N{U+1e910}\N{U+1e922}\N{U+1e934}\N{U+1e929}\N{U+1e92d}\N{U+1e945}\N{U+1e92a}\N{U+1e92b} \N{U+1e952}\N{U+1e92a}\N{U+1e92b}",
    "\N{U+1e910}\N{U+1e922}\N{U+1e934}\N{U+1e929}\N{U+1e92d}\N{U+1e945}\N{U+1e92a}\N{U+1e92b} \N{U+1e953}\N{U+1e92a}\N{U+1e92b}",
    "\N{U+1e910}\N{U+1e922}\N{U+1e934}\N{U+1e929}\N{U+1e92d}\N{U+1e945}\N{U+1e92a}\N{U+1e92b} \N{U+1e954}\N{U+1e92a}\N{U+1e92b}",
  ],
  script => "Adlam",
  territory => "Senegal",
  time_format_full => "HH:mm:ss zzzz",
  time_format_long => "HH:mm:ss z",
  time_format_medium => "HH:mm:ss",
  time_format_short => "HH:mm",
  variant => undef,
  version => 43,
}
