{
  am_pm_abbreviated => [
    "\N{U+04af}.\N{U+04e9}.",
    "\N{U+04af}.\N{U+0445}.",
  ],
  available_formats => {
    Bh => "B h '\N{U+0446}'",
    Bhm => "B h:mm",
    Bhms => "B h:mm:ss",
    E => "ccc",
    EBhm => "E. B h:mm",
    EBhms => "E. B h:mm:ss",
    EHm => "E. HH:mm",
    EHms => "E. HH:mm:ss",
    Ed => "dd. E",
    Ehm => "E. h:mm\N{U+202f}a",
    Ehms => "E. h:mm:ss\N{U+202f}a",
    Gy => "G y",
    GyMMM => "G y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMM",
    GyMMMEd => "G y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMM'\N{U+044b}\N{U+043d}' d. E",
    GyMMMd => "G y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMM'\N{U+044b}\N{U+043d}' d",
    GyMd => "GGGGG y-MM-dd",
    H => "HH '\N{U+0446}'",
    Hm => "HH:mm",
    Hms => "HH:mm:ss",
    Hmsv => "HH:mm:ss (v)",
    Hmv => "HH:mm (v)",
    M => "LLLLL",
    MEd => "MMMMM/dd. E",
    MMM => "LLL",
    MMMEd => "MMM'\N{U+044b}\N{U+043d}' d. E",
    "MMMMW-count-one" => "MMMM'\N{U+044b}\N{U+043d}' W-'\N{U+0440}' '\N{U+0434}\N{U+043e}\N{U+043b}\N{U+043e}\N{U+043e}' '\N{U+0445}\N{U+043e}\N{U+043d}\N{U+043e}\N{U+0433}'",
    "MMMMW-count-other" => "MMMM'\N{U+044b}\N{U+043d}' W-'\N{U+0440}' '\N{U+0434}\N{U+043e}\N{U+043b}\N{U+043e}\N{U+043e}' '\N{U+0445}\N{U+043e}\N{U+043d}\N{U+043e}\N{U+0433}'",
    MMMMd => "MMMM'\N{U+044b}\N{U+043d}' d",
    MMMd => "MMM'\N{U+044b}\N{U+043d}' d",
    Md => "MMMMM/dd",
    d => "d",
    h => "h '\N{U+0446}' a",
    hm => "h:mm\N{U+202f}a",
    hms => "h:mm:ss\N{U+202f}a",
    hmsv => "h:mm:ss\N{U+202f}a (v)",
    hmv => "h:mm\N{U+202f}a (v)",
    ms => "mm:ss",
    y => "y",
    yM => "y MMMMM",
    yMEd => "y.MM.dd. E",
    yMMM => "y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMM",
    yMMMEd => "y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMM'\N{U+044b}\N{U+043d}' d. E",
    yMMMM => "y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMMM",
    yMMMd => "y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMM'\N{U+044b}\N{U+043d}' d",
    yMd => "y.MM.dd",
    yQQQ => "y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' QQQ",
    yQQQQ => "y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' QQQQ",
    "yw-count-one" => "Y '\N{U+043e}\N{U+043d}\N{U+044b}' w-'\N{U+0440}' '\N{U+0434}\N{U+043e}\N{U+043b}\N{U+043e}\N{U+043e}' '\N{U+0445}\N{U+043e}\N{U+043d}\N{U+043e}\N{U+0433}'",
    "yw-count-other" => "Y '\N{U+043e}\N{U+043d}\N{U+044b}' w-'\N{U+0440}' '\N{U+0434}\N{U+043e}\N{U+043b}\N{U+043e}\N{U+043e}' '\N{U+0445}\N{U+043e}\N{U+043d}\N{U+043e}\N{U+0433}'",
  },
  code => "mn-MN",
  date_format_full => "y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMMM'\N{U+044b}\N{U+043d}' d, EEEE '\N{U+0433}\N{U+0430}\N{U+0440}\N{U+0430}\N{U+0433}'",
  date_format_long => "y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMMM'\N{U+044b}\N{U+043d}' d",
  date_format_medium => "y\N{U+202f}'\N{U+043e}\N{U+043d}\N{U+044b}' MMM'\N{U+044b}\N{U+043d}' d",
  date_format_short => "y.MM.dd",
  datetime_format_full => "{1} {0}",
  datetime_format_long => "{1} {0}",
  datetime_format_medium => "{1} {0}",
  datetime_format_short => "{1} {0}",
  day_format_abbreviated => [
    "\N{U+0414}\N{U+0430}",
    "\N{U+041c}\N{U+044f}",
    "\N{U+041b}\N{U+0445}",
    "\N{U+041f}\N{U+04af}",
    "\N{U+0411}\N{U+0430}",
    "\N{U+0411}\N{U+044f}",
    "\N{U+041d}\N{U+044f}",
  ],
  day_format_narrow => [
    "\N{U+0414}\N{U+0430}",
    "\N{U+041c}\N{U+044f}",
    "\N{U+041b}\N{U+0445}",
    "\N{U+041f}\N{U+04af}",
    "\N{U+0411}\N{U+0430}",
    "\N{U+0411}\N{U+044f}",
    "\N{U+041d}\N{U+044f}",
  ],
  day_format_wide => [
    "\N{U+0434}\N{U+0430}\N{U+0432}\N{U+0430}\N{U+0430}",
    "\N{U+043c}\N{U+044f}\N{U+0433}\N{U+043c}\N{U+0430}\N{U+0440}",
    "\N{U+043b}\N{U+0445}\N{U+0430}\N{U+0433}\N{U+0432}\N{U+0430}",
    "\N{U+043f}\N{U+04af}\N{U+0440}\N{U+044d}\N{U+0432}",
    "\N{U+0431}\N{U+0430}\N{U+0430}\N{U+0441}\N{U+0430}\N{U+043d}",
    "\N{U+0431}\N{U+044f}\N{U+043c}\N{U+0431}\N{U+0430}",
    "\N{U+043d}\N{U+044f}\N{U+043c}",
  ],
  day_stand_alone_abbreviated => [
    "\N{U+0414}\N{U+0430}",
    "\N{U+041c}\N{U+044f}",
    "\N{U+041b}\N{U+0445}",
    "\N{U+041f}\N{U+04af}",
    "\N{U+0411}\N{U+0430}",
    "\N{U+0411}\N{U+044f}",
    "\N{U+041d}\N{U+044f}",
  ],
  day_stand_alone_narrow => [
    "\N{U+0414}\N{U+0430}",
    "\N{U+041c}\N{U+044f}",
    "\N{U+041b}\N{U+0445}",
    "\N{U+041f}\N{U+04af}",
    "\N{U+0411}\N{U+0430}",
    "\N{U+0411}\N{U+044f}",
    "\N{U+041d}\N{U+044f}",
  ],
  day_stand_alone_wide => [
    "\N{U+0414}\N{U+0430}\N{U+0432}\N{U+0430}\N{U+0430}",
    "\N{U+041c}\N{U+044f}\N{U+0433}\N{U+043c}\N{U+0430}\N{U+0440}",
    "\N{U+041b}\N{U+0445}\N{U+0430}\N{U+0433}\N{U+0432}\N{U+0430}",
    "\N{U+041f}\N{U+04af}\N{U+0440}\N{U+044d}\N{U+0432}",
    "\N{U+0411}\N{U+0430}\N{U+0430}\N{U+0441}\N{U+0430}\N{U+043d}",
    "\N{U+0411}\N{U+044f}\N{U+043c}\N{U+0431}\N{U+0430}",
    "\N{U+041d}\N{U+044f}\N{U+043c}",
  ],
  era_abbreviated => [
    "\N{U+041c}\N{U+042d}\N{U+04e8}",
    "\N{U+041c}\N{U+042d}",
  ],
  era_narrow => [
    "\N{U+041c}\N{U+042d}\N{U+04e8}",
    "\N{U+041c}\N{U+042d}",
  ],
  era_wide => [
    "\N{U+043c}\N{U+0430}\N{U+043d}\N{U+0430}\N{U+0439} \N{U+044d}\N{U+0440}\N{U+0438}\N{U+043d}\N{U+0438}\N{U+0439} \N{U+04e9}\N{U+043c}\N{U+043d}\N{U+04e9}\N{U+0445}",
    "\N{U+043c}\N{U+0430}\N{U+043d}\N{U+0430}\N{U+0439} \N{U+044d}\N{U+0440}\N{U+0438}\N{U+043d}\N{U+0438}\N{U+0439}",
  ],
  first_day_of_week => 1,
  glibc_date_1_format => "%Z %Y \N{U+043e}\N{U+043d}\N{U+044b} %B %e, %a %H:%M:%S",
  glibc_date_format => "%Y.%m.%d",
  glibc_datetime_format => "%Y %b %d, %a %T",
  glibc_time_12_format => "%I:%M:%S %p",
  glibc_time_format => "%T",
  language => "Mongolian",
  month_format_abbreviated => [
    "1-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "2-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "3-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "4-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "5-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "6-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "7-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "8-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "9-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "10-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "11-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "12-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
  ],
  month_format_narrow => [
    "I",
    "II",
    "III",
    "IV",
    "V",
    "VI",
    "VII",
    "VIII",
    "IX",
    "X",
    "XI",
    "XII",
  ],
  month_format_wide => [
    "\N{U+043d}\N{U+044d}\N{U+0433}\N{U+0434}\N{U+04af}\N{U+0433}\N{U+044d}\N{U+044d}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0445}\N{U+043e}\N{U+0451}\N{U+0440}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0433}\N{U+0443}\N{U+0440}\N{U+0430}\N{U+0432}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0434}\N{U+04e9}\N{U+0440}\N{U+04e9}\N{U+0432}\N{U+0434}\N{U+04af}\N{U+0433}\N{U+044d}\N{U+044d}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0442}\N{U+0430}\N{U+0432}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0437}\N{U+0443}\N{U+0440}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0434}\N{U+043e}\N{U+043b}\N{U+043e}\N{U+043e}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+043d}\N{U+0430}\N{U+0439}\N{U+043c}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0435}\N{U+0441}\N{U+0434}\N{U+04af}\N{U+0433}\N{U+044d}\N{U+044d}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0430}\N{U+0440}\N{U+0430}\N{U+0432}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0430}\N{U+0440}\N{U+0432}\N{U+0430}\N{U+043d} \N{U+043d}\N{U+044d}\N{U+0433}\N{U+0434}\N{U+04af}\N{U+0433}\N{U+044d}\N{U+044d}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0430}\N{U+0440}\N{U+0432}\N{U+0430}\N{U+043d} \N{U+0445}\N{U+043e}\N{U+0451}\N{U+0440}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
  ],
  month_stand_alone_abbreviated => [
    "1-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "2-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "3-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "4-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "5-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "6-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "7-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "8-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "9-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "10-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "11-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "12-\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
  ],
  month_stand_alone_narrow => [
    "I",
    "II",
    "III",
    "IV",
    "V",
    "VI",
    "VII",
    "VIII",
    "IX",
    "X",
    "XI",
    "XII",
  ],
  month_stand_alone_wide => [
    "\N{U+041d}\N{U+044d}\N{U+0433}\N{U+0434}\N{U+04af}\N{U+0433}\N{U+044d}\N{U+044d}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0425}\N{U+043e}\N{U+0451}\N{U+0440}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0413}\N{U+0443}\N{U+0440}\N{U+0430}\N{U+0432}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0414}\N{U+04e9}\N{U+0440}\N{U+04e9}\N{U+0432}\N{U+0434}\N{U+04af}\N{U+0433}\N{U+044d}\N{U+044d}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0422}\N{U+0430}\N{U+0432}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0417}\N{U+0443}\N{U+0440}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0414}\N{U+043e}\N{U+043b}\N{U+043e}\N{U+043e}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+041d}\N{U+0430}\N{U+0439}\N{U+043c}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0415}\N{U+0441}\N{U+0434}\N{U+04af}\N{U+0433}\N{U+044d}\N{U+044d}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0410}\N{U+0440}\N{U+0430}\N{U+0432}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0410}\N{U+0440}\N{U+0432}\N{U+0430}\N{U+043d} \N{U+043d}\N{U+044d}\N{U+0433}\N{U+0434}\N{U+04af}\N{U+0433}\N{U+044d}\N{U+044d}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
    "\N{U+0410}\N{U+0440}\N{U+0432}\N{U+0430}\N{U+043d} \N{U+0445}\N{U+043e}\N{U+0451}\N{U+0440}\N{U+0434}\N{U+0443}\N{U+0433}\N{U+0430}\N{U+0430}\N{U+0440} \N{U+0441}\N{U+0430}\N{U+0440}",
  ],
  name => "Mongolian Mongolia",
  native_language => "\N{U+043c}\N{U+043e}\N{U+043d}\N{U+0433}\N{U+043e}\N{U+043b}",
  native_name => "\N{U+043c}\N{U+043e}\N{U+043d}\N{U+0433}\N{U+043e}\N{U+043b} \N{U+041c}\N{U+043e}\N{U+043d}\N{U+0433}\N{U+043e}\N{U+043b}",
  native_script => undef,
  native_territory => "\N{U+041c}\N{U+043e}\N{U+043d}\N{U+0433}\N{U+043e}\N{U+043b}",
  native_variant => undef,
  quarter_format_abbreviated => [
    "I \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "II \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "III \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "IV \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
  ],
  quarter_format_narrow => [
    "I",
    "II",
    "III",
    "IV",
  ],
  quarter_format_wide => [
    "1-\N{U+0440} \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "2-\N{U+0440} \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "3-\N{U+0440} \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "4-\N{U+0440} \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
  ],
  quarter_stand_alone_abbreviated => [
    "I \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "II \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "III \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "IV \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
  ],
  quarter_stand_alone_narrow => [
    "I",
    "II",
    "III",
    "IV",
  ],
  quarter_stand_alone_wide => [
    "1-\N{U+0440} \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "2-\N{U+0440} \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "3-\N{U+0440} \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
    "4-\N{U+0440} \N{U+0443}\N{U+043b}\N{U+0438}\N{U+0440}\N{U+0430}\N{U+043b}",
  ],
  script => undef,
  territory => "Mongolia",
  time_format_full => "HH:mm:ss (zzzz)",
  time_format_long => "HH:mm:ss (z)",
  time_format_medium => "HH:mm:ss",
  time_format_short => "HH:mm",
  variant => undef,
  version => 43,
}
