{
  am_pm_abbreviated => [
    "\N{U+09a8}\N{U+09c1}\N{U+09ae}\N{U+09be}\N{U+0982}",
    "PM",
  ],
  available_formats => {
    Bh => "h B",
    Bhm => "h:mm B",
    Bhms => "h:mm:ss B",
    E => "ccc",
    EBhm => "E h:mm B",
    EBhms => "E h:mm:ss B",
    EHm => "E HH:mm",
    EHms => "E HH:mm:ss",
    Ed => "d, E",
    Ehm => "E h:mm a",
    Ehms => "E h:mm:ss a",
    Gy => "G y",
    GyMMM => "G y MMM",
    GyMMMEd => "G y MMM d, E",
    GyMMMd => "G y MMM d",
    GyMd => "GGGGG dd-MM-y",
    H => "HH",
    Hm => "HH:mm",
    Hms => "HH:mm:ss",
    Hmsv => "HH:mm:ss v",
    Hmv => "HH:mm v",
    M => "L",
    MEd => "d/M, E",
    MMM => "LLL",
    MMMEd => "MMM d, E",
    "MMMMW-count-other" => "'week' W 'of' MMMM",
    MMMMd => "MMMM d",
    MMMd => "MMM d",
    Md => "d/M",
    d => "d",
    h => "h a",
    hm => "h:mm a",
    hms => "h:mm:ss a",
    hmsv => "h:mm:ss a v",
    hmv => "h:mm a v",
    ms => "mm:ss",
    y => "y",
    yM => "M/y",
    yMEd => "d/M/y, E",
    yMMM => "MMM y",
    yMMMEd => "MMM d, y, E",
    yMMMM => "MMMM y",
    yMMMd => "MMM d, y",
    yMd => "d/M/y",
    yQQQ => "y QQQ",
    yQQQQ => "y QQQQ",
    "yw-count-other" => "'week' w 'of' Y",
  },
  code => "mni",
  date_format_full => "MMMM d, y, EEEE",
  date_format_long => "MMMM d, y",
  date_format_medium => "MMM d, y",
  date_format_short => "d/M/yy",
  datetime_format_full => "{1}, {0}",
  datetime_format_long => "{1}, {0}",
  datetime_format_medium => "{1}, {0}",
  datetime_format_short => "{1}, {0}",
  day_format_abbreviated => [
    "\N{U+09a8}\N{U+09bf}\N{U+0982}\N{U+09a5}\N{U+09cc}\N{U+0995}\N{U+09be}\N{U+09ac}\N{U+09be}",
    "\N{U+09b2}\N{U+09c8}\N{U+09ac}\N{U+09be}\N{U+0995}\N{U+09aa}\N{U+09cb}\N{U+0995}\N{U+09aa}\N{U+09be}",
    "\N{U+09af}\N{U+09bc}\N{U+09c1}\N{U+09ae}\N{U+09b6}\N{U+0995}\N{U+09c8}\N{U+09b6}\N{U+09be}",
    "\N{U+09b6}\N{U+0997}\N{U+09cb}\N{U+09b2}\N{U+09b6}\N{U+09c7}\N{U+09a8}",
    "\N{U+0987}\N{U+09b0}\N{U+09be}\N{U+0987}",
    "\N{U+09a5}\N{U+09be}\N{U+0982}\N{U+099c}",
    "\N{U+09a8}\N{U+09cb}\N{U+0982}\N{U+09ae}\N{U+09be}\N{U+0987}\N{U+099c}\N{U+09bf}\N{U+0982}",
  ],
  day_format_narrow => [
    "\N{U+09a8}\N{U+09bf}\N{U+0982}",
    "\N{U+09b2}\N{U+09c8}\N{U+09ac}\N{U+09be}",
    "\N{U+09af}\N{U+09bc}\N{U+09c1}\N{U+09ae}",
    "\N{U+09b6}\N{U+0997}\N{U+09cb}",
    "\N{U+0987}\N{U+09b0}\N{U+09be}",
    "\N{U+09a5}\N{U+09be}\N{U+0982}",
    "\N{U+09a8}\N{U+09cb}\N{U+0982}",
  ],
  day_format_wide => [
    "\N{U+09a8}\N{U+09bf}\N{U+0982}\N{U+09a5}\N{U+09cc}\N{U+0995}\N{U+09be}\N{U+09ac}\N{U+09be}",
    "\N{U+09b2}\N{U+09c8}\N{U+09ac}\N{U+09be}\N{U+0995}\N{U+09aa}\N{U+09cb}\N{U+0995}\N{U+09aa}\N{U+09be}",
    "\N{U+09af}\N{U+09bc}\N{U+09c1}\N{U+09ae}\N{U+09b6}\N{U+0995}\N{U+09c8}\N{U+09b6}\N{U+09be}",
    "\N{U+09b6}\N{U+0997}\N{U+09cb}\N{U+09b2}\N{U+09b6}\N{U+09c7}\N{U+09a8}",
    "\N{U+0987}\N{U+09b0}\N{U+09be}\N{U+0987}",
    "\N{U+09a5}\N{U+09be}\N{U+0982}\N{U+099c}",
    "\N{U+09a8}\N{U+09cb}\N{U+0982}\N{U+09ae}\N{U+09be}\N{U+0987}\N{U+099c}\N{U+09bf}\N{U+0982}",
  ],
  day_stand_alone_abbreviated => [
    "\N{U+09a8}\N{U+09bf}\N{U+0982}\N{U+09a5}\N{U+09cc}\N{U+0995}\N{U+09be}\N{U+09ac}\N{U+09be}",
    "\N{U+09b2}\N{U+09c8}\N{U+09ac}\N{U+09be}\N{U+0995}\N{U+09aa}\N{U+09cb}\N{U+0995}\N{U+09aa}\N{U+09be}",
    "\N{U+09af}\N{U+09bc}\N{U+09c1}\N{U+09ae}\N{U+09b6}\N{U+0995}\N{U+09c8}\N{U+09b6}\N{U+09be}",
    "\N{U+09b6}\N{U+0997}\N{U+09cb}\N{U+09b2}\N{U+09b6}\N{U+09c7}\N{U+09a8}",
    "\N{U+0987}\N{U+09b0}\N{U+09be}\N{U+0987}",
    "\N{U+09a5}\N{U+09be}\N{U+0982}\N{U+099c}",
    "\N{U+09a8}\N{U+09cb}\N{U+0982}\N{U+09ae}\N{U+09be}\N{U+0987}\N{U+099c}\N{U+09bf}\N{U+0982}",
  ],
  day_stand_alone_narrow => [
    "\N{U+09a8}\N{U+09bf}\N{U+0982}",
    "\N{U+09b2}\N{U+09c8}",
    "\N{U+09af}\N{U+09bc}\N{U+09c1}\N{U+09ae}",
    "\N{U+09b6}\N{U+0997}",
    "\N{U+0987}\N{U+09b0}\N{U+09be}",
    "\N{U+09a5}\N{U+09be}\N{U+0982}",
    "\N{U+09a8}\N{U+09cb}",
  ],
  day_stand_alone_wide => [
    "\N{U+09a8}\N{U+09bf}\N{U+0982}\N{U+09a5}\N{U+09cc}\N{U+0995}\N{U+09be}\N{U+09ac}\N{U+09be}",
    "\N{U+09b2}\N{U+09c8}\N{U+09ac}\N{U+09be}\N{U+0995}\N{U+09aa}\N{U+09cb}\N{U+0995}\N{U+09aa}\N{U+09be}",
    "\N{U+09af}\N{U+09bc}\N{U+09c1}\N{U+09ae}\N{U+09b6}\N{U+0995}\N{U+09c8}\N{U+09b6}\N{U+09be}",
    "\N{U+09b6}\N{U+0997}\N{U+09cb}\N{U+09b2}\N{U+09b6}\N{U+09c7}\N{U+09a8}",
    "\N{U+0987}\N{U+09b0}\N{U+09be}\N{U+0987}",
    "\N{U+09a5}\N{U+09be}\N{U+0982}\N{U+099c}",
    "\N{U+09a8}\N{U+09cb}\N{U+0982}\N{U+09ae}\N{U+09be}\N{U+0987}\N{U+099c}\N{U+09bf}\N{U+0982}",
  ],
  era_abbreviated => [
    "\N{U+0996}\N{U+09c3}: \N{U+09ae}\N{U+09ae}\N{U+09be}\N{U+0982}",
    "\N{U+0996}\N{U+09c3}: \N{U+09ae}\N{U+09a4}\N{U+09c1}\N{U+0982}",
  ],
  era_narrow => [
    "\N{U+0996}\N{U+09c3}: \N{U+09ae}\N{U+09ae}\N{U+09be}\N{U+0982}",
    "\N{U+0996}\N{U+09c3}: \N{U+09ae}\N{U+09a4}\N{U+09c1}\N{U+0982}",
  ],
  era_wide => [
    "\N{U+0996}\N{U+09c3}: \N{U+09ae}\N{U+09ae}\N{U+09be}\N{U+0982}",
    "\N{U+0996}\N{U+09c3}: \N{U+09ae}\N{U+09a4}\N{U+09c1}\N{U+0982}",
  ],
  first_day_of_week => 1,
  glibc_date_1_format => "%a %b %e %H:%M:%S %Z %Y",
  glibc_date_format => "%m/%d/%y",
  glibc_datetime_format => "%a %b %e %H:%M:%S %Y",
  glibc_time_12_format => "%I:%M:%S %p",
  glibc_time_format => "%H:%M:%S",
  language => "Manipuri",
  month_format_abbreviated => [
    "\N{U+099c}\N{U+09be}\N{U+09a8}\N{U+09c1}\N{U+09f1}\N{U+09be}\N{U+09b0}\N{U+09bf}",
    "\N{U+09ab}\N{U+09c7}\N{U+09ac}\N{U+09cd}\N{U+09b0}\N{U+09c1}\N{U+09f1}\N{U+09be}\N{U+09b0}\N{U+09bf}",
    "\N{U+09ae}\N{U+09be}\N{U+09b0}\N{U+09cd}\N{U+099a}",
    "\N{U+098f}\N{U+09aa}\N{U+09cd}\N{U+09b0}\N{U+09bf}\N{U+09b2}",
    "\N{U+09ae}\N{U+09c7}",
    "\N{U+099c}\N{U+09c1}\N{U+09a8}",
    "\N{U+099c}\N{U+09c1}\N{U+09b2}\N{U+09be}\N{U+0987}",
    "\N{U+0986}\N{U+0997}\N{U+09b8}\N{U+09cd}\N{U+099f}",
    "\N{U+09b8}\N{U+09c7}\N{U+09aa}\N{U+09cd}\N{U+099f}\N{U+09c7}\N{U+09ae}\N{U+09cd}\N{U+09ac}\N{U+09b0}",
    "\N{U+0993}\N{U+0995}\N{U+09cd}\N{U+099f}\N{U+09cb}\N{U+09ac}\N{U+09b0}",
    "\N{U+09a8}\N{U+09ad}\N{U+09c7}\N{U+09ae}\N{U+09cd}\N{U+09ac}\N{U+09b0}",
    "\N{U+09a1}\N{U+09bf}\N{U+09b8}\N{U+09c7}\N{U+09ae}\N{U+09cd}\N{U+09ac}\N{U+09b0}",
  ],
  month_format_narrow => [
    "\N{U+099c}\N{U+09be}",
    "\N{U+09ab}\N{U+09c7}",
    "\N{U+09ae}\N{U+09be}\N{U+09b0}",
    "\N{U+098f}\N{U+09aa}",
    "\N{U+09ae}\N{U+09c7}",
    "\N{U+099c}\N{U+09c1}\N{U+09a8}",
    "\N{U+099c}\N{U+09c1}\N{U+09b2}",
    "\N{U+0986}",
    "\N{U+09b8}\N{U+09c7}",
    "\N{U+0993}\N{U+0995}",
    "\N{U+09a8}\N{U+09ac}",
    "\N{U+09a1}\N{U+09bf}",
  ],
  month_format_wide => [
    "\N{U+099c}\N{U+09be}\N{U+09a8}\N{U+09c1}\N{U+09f1}\N{U+09be}\N{U+09b0}\N{U+09bf}",
    "\N{U+09ab}\N{U+09c7}\N{U+09ac}\N{U+09cd}\N{U+09b0}\N{U+09c1}\N{U+09f1}\N{U+09be}\N{U+09b0}\N{U+09bf}",
    "\N{U+09ae}\N{U+09be}\N{U+09b0}\N{U+09cd}\N{U+099a}",
    "\N{U+098f}\N{U+09aa}\N{U+09cd}\N{U+09b0}\N{U+09bf}\N{U+09b2}",
    "\N{U+09ae}\N{U+09c7}",
    "\N{U+099c}\N{U+09c1}\N{U+09a8}",
    "\N{U+099c}\N{U+09c1}\N{U+09b2}\N{U+09be}\N{U+0987}",
    "\N{U+0986}\N{U+0997}\N{U+09b8}\N{U+09cd}\N{U+099f}",
    "\N{U+09b8}\N{U+09c7}\N{U+09aa}\N{U+09cd}\N{U+099f}\N{U+09c7}\N{U+09ae}\N{U+09cd}\N{U+09ac}\N{U+09b0}",
    "\N{U+0993}\N{U+0995}\N{U+09cd}\N{U+099f}\N{U+09cb}\N{U+09ac}\N{U+09b0}",
    "\N{U+09a8}\N{U+09ad}\N{U+09c7}\N{U+09ae}\N{U+09cd}\N{U+09ac}\N{U+09b0}",
    "\N{U+09a1}\N{U+09bf}\N{U+09b8}\N{U+09c7}\N{U+09ae}\N{U+09cd}\N{U+09ac}\N{U+09b0}",
  ],
  month_stand_alone_abbreviated => [
    "\N{U+099c}\N{U+09be}\N{U+09a8}\N{U+09c1}",
    "\N{U+09ab}\N{U+09c7}\N{U+09ac}\N{U+09cd}\N{U+09b0}\N{U+09c1}",
    "\N{U+09ae}\N{U+09be}\N{U+09b0}",
    "\N{U+098f}\N{U+09aa}\N{U+09cd}\N{U+09b0}\N{U+09bf}",
    "\N{U+09ae}\N{U+09c7}",
    "\N{U+099c}\N{U+09c1}\N{U+09a8}",
    "\N{U+099c}\N{U+09c1}\N{U+09b2}\N{U+09be}",
    "\N{U+0986}\N{U+0997}",
    "\N{U+09b8}\N{U+09c7}\N{U+09aa}\N{U+09cd}\N{U+099f}",
    "\N{U+0993}\N{U+0995}\N{U+09cd}\N{U+099f}\N{U+09cb}",
    "\N{U+09a8}\N{U+09ad}\N{U+09c7}",
    "\N{U+09a1}\N{U+09bf}\N{U+09b8}\N{U+09c7}",
  ],
  month_stand_alone_narrow => [
    "\N{U+099c}\N{U+09be}",
    "\N{U+09ab}\N{U+09c7}",
    "\N{U+09ae}\N{U+09be}\N{U+09b0}",
    "\N{U+098f}\N{U+09aa}",
    "\N{U+09ae}\N{U+09c7}",
    "\N{U+099c}\N{U+09c1}\N{U+09a8}",
    "\N{U+099c}\N{U+09c1}\N{U+09b2}",
    "\N{U+0986}",
    "\N{U+09b8}\N{U+09c7}",
    "\N{U+0993}",
    "\N{U+09a8}\N{U+09ac}",
    "\N{U+09a1}\N{U+09bf}",
  ],
  month_stand_alone_wide => [
    "\N{U+099c}\N{U+09be}\N{U+09a8}\N{U+09c1}\N{U+09f1}\N{U+09be}\N{U+09b0}\N{U+09bf}",
    "\N{U+09ab}\N{U+09c7}\N{U+09ac}\N{U+09cd}\N{U+09b0}\N{U+09c1}\N{U+09f1}\N{U+09be}\N{U+09b0}\N{U+09bf}",
    "\N{U+09ae}\N{U+09be}\N{U+09b0}\N{U+09cd}\N{U+099a}",
    "\N{U+098f}\N{U+09aa}\N{U+09cd}\N{U+09b0}\N{U+09bf}\N{U+09b2}",
    "\N{U+09ae}\N{U+09c7}",
    "\N{U+099c}\N{U+09c1}\N{U+09a8}",
    "\N{U+099c}\N{U+09c1}\N{U+09b2}\N{U+09be}\N{U+0987}",
    "\N{U+0993}\N{U+0997}\N{U+09b7}\N{U+09cd}\N{U+099f}",
    "\N{U+09b8}\N{U+09c7}\N{U+09aa}\N{U+09cd}\N{U+099f}\N{U+09c7}\N{U+09ae}\N{U+09cd}\N{U+09ac}\N{U+09b0}",
    "\N{U+0993}\N{U+0995}\N{U+09cd}\N{U+099f}\N{U+09cb}\N{U+09ac}\N{U+09b0}",
    "\N{U+09a8}\N{U+09ac}\N{U+09c7}\N{U+09ae}\N{U+09cd}\N{U+09ac}\N{U+09b0}",
    "\N{U+09a1}\N{U+09bf}\N{U+09b8}\N{U+09c7}\N{U+09ae}\N{U+09cd}\N{U+09ac}\N{U+09b0}",
  ],
  name => "Manipuri",
  native_language => "\N{U+09ae}\N{U+09c8}\N{U+09a4}\N{U+09c8}\N{U+09b2}\N{U+09cb}\N{U+09a8}\N{U+09cd}",
  native_name => "\N{U+09ae}\N{U+09c8}\N{U+09a4}\N{U+09c8}\N{U+09b2}\N{U+09cb}\N{U+09a8}\N{U+09cd}",
  native_script => undef,
  native_territory => undef,
  native_variant => undef,
  quarter_format_abbreviated => [
    "\N{U+0985}\N{U+09b9}\N{U+09be}\N{U+09a8}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+0985}\N{U+09a8}\N{U+09c0}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+0985}\N{U+09b9}\N{U+09c1}\N{U+09ae}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+09ae}\N{U+09b0}\N{U+09c0}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
  ],
  quarter_format_narrow => [
    1,
    2,
    3,
    4,
  ],
  quarter_format_wide => [
    "\N{U+0985}\N{U+09b9}\N{U+09be}\N{U+09a8}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+0985}\N{U+09a8}\N{U+09c0}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+0985}\N{U+09b9}\N{U+09c1}\N{U+09ae}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+09ae}\N{U+09b0}\N{U+09c0}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
  ],
  quarter_stand_alone_abbreviated => [
    "\N{U+0985}\N{U+09b9}\N{U+09be}\N{U+09a8}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+0985}\N{U+09a8}\N{U+09c0}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+0985}\N{U+09b9}\N{U+09c1}\N{U+09ae}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+09ae}\N{U+09b0}\N{U+09c0}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
  ],
  quarter_stand_alone_narrow => [
    1,
    2,
    3,
    4,
  ],
  quarter_stand_alone_wide => [
    "\N{U+0985}\N{U+09b9}\N{U+09be}\N{U+09a8}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+0985}\N{U+09a8}\N{U+09c0}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+0985}\N{U+09b9}\N{U+09c1}\N{U+09ae}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
    "\N{U+09ae}\N{U+09b0}\N{U+09c0}\N{U+09b6}\N{U+09c1}\N{U+09ac}\N{U+09be} \N{U+09ae}\N{U+09b8}\N{U+09c1}\N{U+0982}",
  ],
  script => undef,
  territory => undef,
  time_format_full => "h:mm:ss a zzzz",
  time_format_long => "h:mm:ss a z",
  time_format_medium => "h:mm:ss a",
  time_format_short => "h:mm a",
  variant => undef,
  version => 43,
}
