{
  am_pm_abbreviated => [
    "\N{U+0db4}\N{U+0dd9}.\N{U+0dc0}.",
    "\N{U+0db4}.\N{U+0dc0}.",
  ],
  available_formats => {
    Bh => "h B",
    Bhm => "h:mm B",
    Bhms => "h:mm:ss B",
    E => "ccc",
    EBhm => "E h:mm B",
    EBhms => "E h:mm:ss B",
    EHm => "E HH.mm",
    EHms => "E HH.mm.ss",
    Ed => "d E",
    Ehm => "E a h.mm",
    Ehms => "E a h.mm.ss",
    Gy => "G y",
    GyMMM => "G y MMM",
    GyMMMEd => "G y MMM d, E",
    GyMMMd => "G y MMM d",
    GyMd => "GGGGG y-MM-dd",
    H => "HH",
    Hm => "HH.mm",
    Hms => "HH.mm.ss",
    Hmsv => "HH.mm.ss v",
    Hmv => "HH.mm v",
    M => "L",
    MEd => "M-d, E",
    MMM => "LLL",
    MMMEd => "MMM d E",
    "MMMMW-count-one" => "MMMM \N{U+0dc3}\N{U+0dad}\N{U+0dd2}\N{U+0dba} W",
    "MMMMW-count-other" => "MMMM \N{U+0dc3}\N{U+0dad}\N{U+0dd2}\N{U+0dba} W",
    MMMMd => "MMMM d",
    MMMd => "MMM d",
    Md => "M-d",
    d => "d",
    h => "a h",
    hm => "a h.mm",
    hms => "a h.mm.ss",
    hmsv => "h.mm.ss a v",
    hmv => "h.mm a v",
    ms => "mm.ss",
    y => "y",
    yM => "y-M",
    yMEd => "y-M-d, E",
    yMMM => "y MMM",
    yMMMEd => "y MMM d, E",
    yMMMM => "y MMMM",
    yMMMd => "y MMM d",
    yMd => "y-M-d",
    yQQQ => "y QQQ",
    yQQQQ => "y QQQQ",
    "yw-count-one" => "Y \N{U+0dc3}\N{U+0dad}\N{U+0dd2}\N{U+0dba} w",
    "yw-count-other" => "Y \N{U+0dc3}\N{U+0dad}\N{U+0dd2}\N{U+0dba} w",
  },
  code => "si-LK",
  date_format_full => "y MMMM d, EEEE",
  date_format_long => "y MMMM d",
  date_format_medium => "y MMM d",
  date_format_short => "y-MM-dd",
  datetime_format_full => "{1} {0}",
  datetime_format_long => "{1} {0}",
  datetime_format_medium => "{1} {0}",
  datetime_format_short => "{1} {0}",
  day_format_abbreviated => [
    "\N{U+0dc3}\N{U+0db3}\N{U+0dd4}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0d85}\N{U+0d9f}\N{U+0dc4}",
    "\N{U+0db6}\N{U+0daf}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0db6}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dc4}\N{U+0dc3}\N{U+0dca}",
    "\N{U+0dc3}\N{U+0dd2}\N{U+0d9a}\N{U+0dd4}",
    "\N{U+0dc3}\N{U+0dd9}\N{U+0db1}",
    "\N{U+0d89}\N{U+0dbb}\N{U+0dd2}\N{U+0daf}\N{U+0dcf}",
  ],
  day_format_narrow => [
    "\N{U+0dc3}",
    "\N{U+0d85}",
    "\N{U+0db6}",
    "\N{U+0db6}\N{U+0dca}\N{U+200d}\N{U+0dbb}",
    "\N{U+0dc3}\N{U+0dd2}",
    "\N{U+0dc3}\N{U+0dd9}",
    "\N{U+0d89}",
  ],
  day_format_wide => [
    "\N{U+0dc3}\N{U+0db3}\N{U+0dd4}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0d85}\N{U+0d9f}\N{U+0dc4}\N{U+0dbb}\N{U+0dd4}\N{U+0dc0}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0db6}\N{U+0daf}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0db6}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dc4}\N{U+0dc3}\N{U+0dca}\N{U+0db4}\N{U+0dad}\N{U+0dd2}\N{U+0db1}\N{U+0dca}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0dc3}\N{U+0dd2}\N{U+0d9a}\N{U+0dd4}\N{U+0dbb}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0dc3}\N{U+0dd9}\N{U+0db1}\N{U+0dc3}\N{U+0dd4}\N{U+0dbb}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0d89}\N{U+0dbb}\N{U+0dd2}\N{U+0daf}\N{U+0dcf}",
  ],
  day_stand_alone_abbreviated => [
    "\N{U+0dc3}\N{U+0db3}\N{U+0dd4}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0d85}\N{U+0d9f}\N{U+0dc4}",
    "\N{U+0db6}\N{U+0daf}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0db6}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dc4}\N{U+0dc3}\N{U+0dca}",
    "\N{U+0dc3}\N{U+0dd2}\N{U+0d9a}\N{U+0dd4}",
    "\N{U+0dc3}\N{U+0dd9}\N{U+0db1}",
    "\N{U+0d89}\N{U+0dbb}\N{U+0dd2}\N{U+0daf}\N{U+0dcf}",
  ],
  day_stand_alone_narrow => [
    "\N{U+0dc3}",
    "\N{U+0d85}",
    "\N{U+0db6}",
    "\N{U+0db6}\N{U+0dca}\N{U+200d}\N{U+0dbb}",
    "\N{U+0dc3}\N{U+0dd2}",
    "\N{U+0dc3}\N{U+0dd9}",
    "\N{U+0d89}",
  ],
  day_stand_alone_wide => [
    "\N{U+0dc3}\N{U+0db3}\N{U+0dd4}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0d85}\N{U+0d9f}\N{U+0dc4}\N{U+0dbb}\N{U+0dd4}\N{U+0dc0}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0db6}\N{U+0daf}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0db6}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dc4}\N{U+0dc3}\N{U+0dca}\N{U+0db4}\N{U+0dad}\N{U+0dd2}\N{U+0db1}\N{U+0dca}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0dc3}\N{U+0dd2}\N{U+0d9a}\N{U+0dd4}\N{U+0dbb}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0dc3}\N{U+0dd9}\N{U+0db1}\N{U+0dc3}\N{U+0dd4}\N{U+0dbb}\N{U+0dcf}\N{U+0daf}\N{U+0dcf}",
    "\N{U+0d89}\N{U+0dbb}\N{U+0dd2}\N{U+0daf}\N{U+0dcf}",
  ],
  era_abbreviated => [
    "\N{U+0d9a}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dd2}.\N{U+0db4}\N{U+0dd6}.",
    "\N{U+0d9a}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dd2}.\N{U+0dc0}.",
  ],
  era_narrow => [
    "\N{U+0d9a}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dd2}.\N{U+0db4}\N{U+0dd6}.",
    "\N{U+0d9a}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dd2}.\N{U+0dc0}.",
  ],
  era_wide => [
    "\N{U+0d9a}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dd2}\N{U+0dc3}\N{U+0dca}\N{U+0dad}\N{U+0dd4} \N{U+0db4}\N{U+0dd6}\N{U+0dbb}\N{U+0dca}\N{U+0dc0}",
    "\N{U+0d9a}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dd2}\N{U+0dc3}\N{U+0dca}\N{U+0dad}\N{U+0dd4} \N{U+0dc0}\N{U+0dbb}\N{U+0dca}\N{U+0dc2}",
  ],
  first_day_of_week => 1,
  glibc_date_1_format => "%Y %B %e \N{U+0dc0}\N{U+0dd0}\N{U+0db1}\N{U+0dd2} %A %H:%M:%S %z",
  glibc_date_format => "%Y-%m-%d",
  glibc_datetime_format => "%Y-%m-%d %H:%M:%S %z",
  glibc_time_12_format => "%p %I:%M:%S",
  glibc_time_format => "%H:%M:%S",
  language => "Sinhala",
  month_format_abbreviated => [
    "\N{U+0da2}\N{U+0db1}",
    "\N{U+0db4}\N{U+0dd9}\N{U+0db6}",
    "\N{U+0db8}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}",
    "\N{U+0d85}\N{U+0db4}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dda}\N{U+0dbd}\N{U+0dca}",
    "\N{U+0db8}\N{U+0dd0}\N{U+0dba}\N{U+0dd2}",
    "\N{U+0da2}\N{U+0dd6}\N{U+0db1}\N{U+0dd2}",
    "\N{U+0da2}\N{U+0dd6}\N{U+0dbd}\N{U+0dd2}",
    "\N{U+0d85}\N{U+0d9c}\N{U+0ddd}",
    "\N{U+0dc3}\N{U+0dd0}\N{U+0db4}\N{U+0dca}",
    "\N{U+0d94}\N{U+0d9a}\N{U+0dca}",
    "\N{U+0db1}\N{U+0ddc}\N{U+0dc0}\N{U+0dd0}",
    "\N{U+0daf}\N{U+0dd9}\N{U+0dc3}\N{U+0dd0}",
  ],
  month_format_narrow => [
    "\N{U+0da2}",
    "\N{U+0db4}\N{U+0dd9}",
    "\N{U+0db8}\N{U+0dcf}",
    "\N{U+0d85}",
    "\N{U+0db8}\N{U+0dd0}",
    "\N{U+0da2}\N{U+0dd6}",
    "\N{U+0da2}\N{U+0dd6}",
    "\N{U+0d85}",
    "\N{U+0dc3}\N{U+0dd0}",
    "\N{U+0d94}",
    "\N{U+0db1}\N{U+0dd9}",
    "\N{U+0daf}\N{U+0dd9}",
  ],
  month_format_wide => [
    "\N{U+0da2}\N{U+0db1}\N{U+0dc0}\N{U+0dcf}\N{U+0dbb}\N{U+0dd2}",
    "\N{U+0db4}\N{U+0dd9}\N{U+0db6}\N{U+0dbb}\N{U+0dc0}\N{U+0dcf}\N{U+0dbb}\N{U+0dd2}",
    "\N{U+0db8}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}",
    "\N{U+0d85}\N{U+0db4}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dda}\N{U+0dbd}\N{U+0dca}",
    "\N{U+0db8}\N{U+0dd0}\N{U+0dba}\N{U+0dd2}",
    "\N{U+0da2}\N{U+0dd6}\N{U+0db1}\N{U+0dd2}",
    "\N{U+0da2}\N{U+0dd6}\N{U+0dbd}\N{U+0dd2}",
    "\N{U+0d85}\N{U+0d9c}\N{U+0ddd}\N{U+0dc3}\N{U+0dca}\N{U+0dad}\N{U+0dd4}",
    "\N{U+0dc3}\N{U+0dd0}\N{U+0db4}\N{U+0dca}\N{U+0dad}\N{U+0dd0}\N{U+0db8}\N{U+0dca}\N{U+0db6}\N{U+0dbb}\N{U+0dca}",
    "\N{U+0d94}\N{U+0d9a}\N{U+0dca}\N{U+0dad}\N{U+0ddd}\N{U+0db6}\N{U+0dbb}\N{U+0dca}",
    "\N{U+0db1}\N{U+0ddc}\N{U+0dc0}\N{U+0dd0}\N{U+0db8}\N{U+0dca}\N{U+0db6}\N{U+0dbb}\N{U+0dca}",
    "\N{U+0daf}\N{U+0dd9}\N{U+0dc3}\N{U+0dd0}\N{U+0db8}\N{U+0dca}\N{U+0db6}\N{U+0dbb}\N{U+0dca}",
  ],
  month_stand_alone_abbreviated => [
    "\N{U+0da2}\N{U+0db1}",
    "\N{U+0db4}\N{U+0dd9}\N{U+0db6}",
    "\N{U+0db8}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}",
    "\N{U+0d85}\N{U+0db4}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dda}\N{U+0dbd}\N{U+0dca}",
    "\N{U+0db8}\N{U+0dd0}\N{U+0dba}\N{U+0dd2}",
    "\N{U+0da2}\N{U+0dd6}\N{U+0db1}\N{U+0dd2}",
    "\N{U+0da2}\N{U+0dd6}\N{U+0dbd}\N{U+0dd2}",
    "\N{U+0d85}\N{U+0d9c}\N{U+0ddd}",
    "\N{U+0dc3}\N{U+0dd0}\N{U+0db4}\N{U+0dca}",
    "\N{U+0d94}\N{U+0d9a}\N{U+0dca}",
    "\N{U+0db1}\N{U+0ddc}\N{U+0dc0}\N{U+0dd0}",
    "\N{U+0daf}\N{U+0dd9}\N{U+0dc3}\N{U+0dd0}",
  ],
  month_stand_alone_narrow => [
    "\N{U+0da2}",
    "\N{U+0db4}\N{U+0dd9}",
    "\N{U+0db8}\N{U+0dcf}",
    "\N{U+0d85}",
    "\N{U+0db8}\N{U+0dd0}",
    "\N{U+0da2}\N{U+0dd6}",
    "\N{U+0da2}\N{U+0dd6}",
    "\N{U+0d85}",
    "\N{U+0dc3}\N{U+0dd0}",
    "\N{U+0d94}",
    "\N{U+0db1}\N{U+0dd9}",
    "\N{U+0daf}\N{U+0dd9}",
  ],
  month_stand_alone_wide => [
    "\N{U+0da2}\N{U+0db1}\N{U+0dc0}\N{U+0dcf}\N{U+0dbb}\N{U+0dd2}",
    "\N{U+0db4}\N{U+0dd9}\N{U+0db6}\N{U+0dbb}\N{U+0dc0}\N{U+0dcf}\N{U+0dbb}\N{U+0dd2}",
    "\N{U+0db8}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}",
    "\N{U+0d85}\N{U+0db4}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dda}\N{U+0dbd}\N{U+0dca}",
    "\N{U+0db8}\N{U+0dd0}\N{U+0dba}\N{U+0dd2}",
    "\N{U+0da2}\N{U+0dd6}\N{U+0db1}\N{U+0dd2}",
    "\N{U+0da2}\N{U+0dd6}\N{U+0dbd}\N{U+0dd2}",
    "\N{U+0d85}\N{U+0d9c}\N{U+0ddd}\N{U+0dc3}\N{U+0dca}\N{U+0dad}\N{U+0dd4}",
    "\N{U+0dc3}\N{U+0dd0}\N{U+0db4}\N{U+0dca}\N{U+0dad}\N{U+0dd0}\N{U+0db8}\N{U+0dca}\N{U+0db6}\N{U+0dbb}\N{U+0dca}",
    "\N{U+0d94}\N{U+0d9a}\N{U+0dca}\N{U+0dad}\N{U+0ddd}\N{U+0db6}\N{U+0dbb}\N{U+0dca}",
    "\N{U+0db1}\N{U+0ddc}\N{U+0dc0}\N{U+0dd0}\N{U+0db8}\N{U+0dca}\N{U+0db6}\N{U+0dbb}\N{U+0dca}",
    "\N{U+0daf}\N{U+0dd9}\N{U+0dc3}\N{U+0dd0}\N{U+0db8}\N{U+0dca}\N{U+0db6}\N{U+0dbb}\N{U+0dca}",
  ],
  name => "Sinhala Sri Lanka",
  native_language => "\N{U+0dc3}\N{U+0dd2}\N{U+0d82}\N{U+0dc4}\N{U+0dbd}",
  native_name => "\N{U+0dc3}\N{U+0dd2}\N{U+0d82}\N{U+0dc4}\N{U+0dbd} \N{U+0dc1}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dd3} \N{U+0dbd}\N{U+0d82}\N{U+0d9a}\N{U+0dcf}\N{U+0dc0}",
  native_script => undef,
  native_territory => "\N{U+0dc1}\N{U+0dca}\N{U+200d}\N{U+0dbb}\N{U+0dd3} \N{U+0dbd}\N{U+0d82}\N{U+0d9a}\N{U+0dcf}\N{U+0dc0}",
  native_variant => undef,
  quarter_format_abbreviated => [
    "\N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}:1",
    "\N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}:2",
    "\N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}:3",
    "\N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}:4",
  ],
  quarter_format_narrow => [
    1,
    2,
    3,
    4,
  ],
  quarter_format_wide => [
    "1 \N{U+0dc0}\N{U+0db1} \N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}\N{U+0dc0}",
    "2 \N{U+0dc0}\N{U+0db1} \N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}\N{U+0dc0}",
    "3 \N{U+0dc0}\N{U+0db1} \N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}\N{U+0dc0}",
    "4 \N{U+0dc0}\N{U+0db1} \N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}\N{U+0dc0}",
  ],
  quarter_stand_alone_abbreviated => [
    "\N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}:1",
    "\N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}:2",
    "\N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}:3",
    "\N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}:4",
  ],
  quarter_stand_alone_narrow => [
    1,
    2,
    3,
    4,
  ],
  quarter_stand_alone_wide => [
    "1 \N{U+0dc0}\N{U+0db1} \N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}\N{U+0dc0}",
    "2 \N{U+0dc0}\N{U+0db1} \N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}\N{U+0dc0}",
    "3 \N{U+0dc0}\N{U+0db1} \N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}\N{U+0dc0}",
    "4 \N{U+0dc0}\N{U+0db1} \N{U+0d9a}\N{U+0dcf}\N{U+0dbb}\N{U+0dca}\N{U+0dad}\N{U+0dd4}\N{U+0dc0}",
  ],
  script => undef,
  territory => "Sri Lanka",
  time_format_full => "HH.mm.ss zzzz",
  time_format_long => "HH.mm.ss z",
  time_format_medium => "HH.mm.ss",
  time_format_short => "HH.mm",
  variant => undef,
  version => 43,
}
