﻿$ErrorActionPreference = 'Stop' # stop on all errors

$toolsDir = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName = $env:ChocolateyPackageName
  unzipLocation = "$(Get-ToolsLocation)\glpi-agent-nightly"
  url = 'https://nightly.glpi-project.org/glpi-agent/GLPI-Agent-1.5-gitf1a94d56-x86.zip' # (From $Latest)
  file = 'GLPI-Agent-1.5-gitf1a94d56-x86.zip' # (From $Latest)
  file64 = 'GLPI-Agent-1.5-gitf1a94d56-x64.zip' # (From $Latest)

  softwareName = 'GLPI Agent *'

  checksum = 'F50D43CECCD88926189278116240130F25544BF43AC0E6189AE9CF7CFDF6ABC0' # (From $Latest)
  checksumType = 'sha256' # (From $Latest)
  checksum64 = '87854CECBD9C4D65A8E5117F23C8187233E4B23772B7EFB1238C31295AB4FB40' # (From $Latest)
  checksumType64 = 'sha256' # (From $Latest)
}

If ((Get-OSArchitectureWidth 32) -or $env:ChocolateyForceX86 -eq 'true') {
  # Download the 32-bit archive on-the-fly and "install" it
  Install-ChocolateyZipPackage @packageArgs

  # Cleaning
  Remove-Item -Path $packageArgs.file
} Else {
  # Use the embedded 64-bit archive

  # Access file from $toolsDir
  $packageArgs.file64 = Join-Path $toolsDir $packageArgs.file64

  # "Install" the archive
  Get-ChocolateyUnzip @packageArgs

  # Cleaning
  Remove-Item -Path $packageArgs.file64
}

Get-ChildItem -Path $packageArgs.unzipLocation -Depth 1 -Filter "*.bat" `
| ForEach-Object {
  Install-BinFile -Name $_.Name.Replace(".bat", "") -Path $_.VersionInfo.FileName
}
